<?php
/********************************************************************************
* Subs-Aeva-Generated-Sites.php v6
* By Rene-Gilles Deberdt (created by Karl Benson)
*********************************************************************************
* The full/complete definitions are now stored in Subs-Aeva-Sites.php
* This is a GENERATED php file containing ONLY ENABLED sites for the Aeva Mod,
* and is created when enabling/disabling sites via the admin panel.
* It's more efficient this way.
*********************************************************************************
* This program is distributed in the hope that it is and will be useful, but
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY
* or FITNESS FOR A PARTICULAR PURPOSE.
********************************************************************************/

global $sites;
$sites = array(
	array(
		'id' => 'local_mp3',
		'plugin' => 'flash',
		'pattern' => '({local}[\w/ &;%.-]+\.mp3)(?=")',
		'movie' => 'http://www.flash-mp3-player.net/medias/player_mp3_maxi.swf?mp3=$2&width=250&showstop=1&showinfo=1&showvolume=1&volumewidth=35&sliderovercolor=ff0000&buttonovercolor=ff0000',
		'size' => array(250, 20, 1),
		'show-link' => true,
	),
	array(
		'id' => 'local_mp4',
		'plugin' => 'flash',
		'pattern' => '({local}[\w/ &;%.-]+\.mp4)(?=")',
		'movie' => 'http://www.archive.org/flow/FlowPlayerLight.swf?config=%7Bembedded%3Atrue%2CshowFullScreenButton%3Atrue%2CshowMuteVolumeButton%3Atrue%2CshowMenu%3Atrue%2CautoBuffering%3Afalse%2CautoPlay%3Afalse%2CinitialScale%3A%27fit%27%2CmenuItems%3A%5Bfalse%2Cfalse%2Cfalse%2Cfalse%2Ctrue%2Ctrue%2Cfalse%5D%2CusePlayOverlay%3Afalse%2CshowPlayListButtons%3Atrue%2CplayList%3A%5B%7Burl%3A%27$2%27%7D%5D%2CcontrolBarGloss%3A%27high%27%2CshowVolumeSlider%3Atrue%2Cloop%3Afalse%2CcontrolBarBackgroundColor%3A%270x808080%27%7D',
		'size' => array(480, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_flv',
		'plugin' => 'flash',
		'pattern' => '({local}[\w/ &;%.-]+\.flv)(?=")',
		'movie' => 'http://www.archive.org/flow/FlowPlayerLight.swf?config=%7Bembedded%3Atrue%2CshowFullScreenButton%3Atrue%2CshowMuteVolumeButton%3Atrue%2CshowMenu%3Atrue%2CautoBuffering%3Afalse%2CautoPlay%3Afalse%2CinitialScale%3A%27fit%27%2CmenuItems%3A%5Bfalse%2Cfalse%2Cfalse%2Cfalse%2Ctrue%2Ctrue%2Cfalse%5D%2CusePlayOverlay%3Afalse%2CshowPlayListButtons%3Atrue%2CplayList%3A%5B%7Burl%3A%27$2%27%7D%5D%2CcontrolBarGloss%3A%27high%27%2CshowVolumeSlider%3Atrue%2Cloop%3Afalse%2CcontrolBarBackgroundColor%3A%270x808080%27%7D',
		'size' => array(480, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_swf',
		'plugin' => 'flash',
		'pattern' => '({local}[\w/ &;%.-]+\.swf)(?=")',
		'movie' => '$2',
		'size' => array(425, 355),
		'show-link' => true,
	),
	array(
		'id' => 'local_divx',
		'plugin' => 'divx',
		'pattern' => '({local}[\w/ &;%.-]+\.divx)(?=")',
		'movie' => '$2',
		'size' => array(500, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_mov',
		'plugin' => 'quicktime',
		'pattern' => '({local}[\w/ &;%.-]+\.mov)(?=")',
		'movie' => '$2',
		'size' => array(500, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_real',
		'plugin' => 'realmedia',
		'pattern' => '({local}[\w/ &;%.-]+\.ra?m)(?=")',
		'movie' => '$2',
		'size' => array(500, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_wmp',
		'plugin' => 'wmp',
		'pattern' => '({local}[\w/ &;%.-]+\.wm[va])(?=")',
		'movie' => '$2',
		'size' => array(500, 360),
		'show-link' => true,
	),
	array(
		'id' => 'local_avi',
		'plugin' => 'divx',
		'pattern' => '({local}[\w/ &;%.-]+\.avi)(?=")',
		'movie' => '$2',
		'size' => array(500, 360),
		'show-link' => true,
	),
	array(
		'id' => 'ytb',
		'pattern' => 'http://(?:video\.google\.(?:com|com?\.[a-z]{2}|[a-z]{2})/[^"]*?)?(?:(?:www|[a-z]{2})\.)?youtu(?:be\.com/[^"#[]*?(?:[&/?;]|&amp;|%[23]F)(?:video_id=|v(?:/|=|%3D|%2F))|\.be/)([\w-]{11})',
		'movie' => 'http://www.youtube.com/v/$2&rel=0&fs=1',
		'size' => array('normal' => array(480, 385), 'ws' => array(640, 385)),
		'ui-height' => 25,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.youtube\.com/v/([\w-]{11})(?:&[^"]*)?">.*?</object>',
		'fix-html-url' => 'http://www.youtube.com/watch?v=$1',
		'lookup-url' => 'http://(?:video\.google\.(?:com|com?\.[a-z]{2}|[a-z]{2})/[^"]*?)?(?:(?:www|[a-z]{2})\.)?youtube\.com/[^"#[]*?(?:[&/?;]|&amp;|%[23]F)(?:video_id=|v(?:/|=|%3D|%2F))([\w-]{11})[^]#[]*',
		'lookup-actual-url' => 'http://gdata.youtube.com/feeds/api/videos/$1?v=2',
		'lookup-final-url' => 'http://www.youtube.com/watch?v=$1',
		'lookup-title' => true,
		'lookup-title-skip' => true,
		'lookup-pattern' => array('id' => '<id>.*?:([\w-]+)</id>', 'error' => '<internalReason>(.*?)</internalReason>', 'noexternalembed' => '<yt:accessControl\saction=\'embed\'\spermission=\'denied\'/>', 'ws' => '<yt:aspectRatio>widescreen</yt:aspectRatio>'),
	),
	array(
		'id' => 'ytp',
		'pattern' => 'http://(?:(?:www|[a-z]{2})\.)?youtube\.com/[^"]*?(?:[&/?;]|&amp;)(?:id=|p=|p/)([0-9a-f]{16})',
		'movie' => 'http://www.youtube.com/p/$2&rel=0&fs=1',
		'size' => array(480, 385),
		'ui-height' => 25,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" />.*?</object>',
	),
	array(
		'id' => 'dam',
		'pattern' => 'http://(?:www\.)?dailymotion\.(?:com|[a-z]{2}|alice\.it)/(?:[^"]*?video|swf)/([a-z0-9]{1,18})',
		'movie' => 'http://www.dailymotion.com/swf/$2&related=0',
		'size' => array(520, 416),
		'ui-height' => 21,
		'lookup-title' => '<h1 class="[^"]+">(.*?)</h1>',
		'fix-html-pattern' => '(?:<div\>)?<object [^>]*><param name="movie" value="$1">.*?</object>(?:<br /><b><a href="$1">[^<]*</a></b>(?:<br /><i>[^<]*<a href="[^"]*">[^<]*</a></i>)?</div\>)?',
	),
	array(
		'id' => 'ggl',
		'pattern' => 'http://video\.google\.(com|com?\.[a-z]{2}|[a-z]{2})/(?:videoplay|url|googleplayer\.swf)\?[^"]*?docid=([\w-]{1,20})',
		'movie' => 'http://video.google.$2/googleplayer.swf?docId=$3',
		'size' => array(400, 326),
		'show-link' => true,
		'lookup-title' => true,
		'fix-html-pattern' => '<embed id="VideoPlayback" src="$1"[^>]*>\s</embed>',
	),
	array(
		'id' => 'gmap',
		'plugin' => 'html',
		'pattern' => '(http://maps\.google\.[^">]+/\w*?\?[^">]+)',
		'movie' => '<iframe class="aext" width="{int:width}" height="{int:height}" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="$1&amp;output=embed"></iframe>',
		'size' => array(425, 350),
		'ui-height' => 0,
		'fix-html-pattern' => '<iframe [^>]+src="$1"></iframe>(?:<br /><small>.*?</small>)?',
		'fix-html-url' => '$1',
	),
	array(
		'id' => 'mcf',
		'pattern' => 'http://(?:www\.)?metacafe\.com/(?:watch|fplayer)/([\w-]{1,20})/',
		'movie' => 'http://www.metacafe.com/fplayer/$2/metacafe.swf',
		'size' => array(400, 345),
		'lookup-title' => '<h2>(.*?)</h2>',
		'fix-html-pattern' => '<embed src="$1"[^>]*>\s</embed>(?:<br><font size = 1>.*?</font>)?',
	),
	array(
		'id' => 'veo',
		'pattern' => 'http://(?:www\.)?veoh\.com/(?:[\w/]*?|videodetails2\.swf\?permalinkId=)(v\d[0-9a-z]*)',
		'movie' => 'http://www.veoh.com/veohplayer.swf?permalinkId=$2&id=anonymous&player=videodetailsembedded&videoAutoPlay=0',
		'size' => array(460, 345),
		'lookup-title' => true,
	),
	array(
		'id' => 'vimeo',
		'pattern' => 'http://(?:www\.|player\.)?vimeo\.com/(?:video/)?(\d{1,12})',
		'movie' => 'http://assets.vimeo.com/flash/moogaloop/5.0.5/moogaloop.swf?v=5.0.5&clip_id=$2&server=vimeo.com&fullscreen=1&show_title=1&show_byline=1&show_portrait=0&color=01AAEA',
		'size' => array(640, 360),
		'fix-html-pattern' => '<object [^>]*>\s{0,3}<param name="allowfullscreen" value="true" />\s{0,3}<param name="allowscriptaccess" value="always" />\s{0,3}<param name="movie" value="http://vimeo\.com/moogaloop\.swf\?clip_id=(\d{1,12})[^<>]*?>.*?</object>(?:<p><a href="http://vimeo\.com.*?</a>.*?</a>.*?</a>\.</p>)?',
		'fix-html-url' => 'http://www.vimeo.com/$1',
		'lookup-title' => true,
		'lookup-title-skip' => true,
	),
	array(
		'id' => 'apple',
		'plugin' => 'quicktime',
		'pattern' => 'http://(?:movies\.apple\.com/movies/(\w+/\w+/[\w\.-]+\.mov)|(?:www\.)?apple\.com/trailers/(\w+/\w+)/?#id(.*?\.mov))',
		'movie' => 'http://movies.apple.com/movies/($2|$3/$4)',
		'size' => array(640, 272),
		'show-link' => true,
		'fix-html-pattern' => '(http://movies\.apple\.com/movies/\w+/\w+/[\w\.-]+\.mov)\?width=(\d+)&(?:amp;)?height=(\d+)',
		'fix-html-url' => '$1#w$2-h$3+16',
		'lookup-url' => 'http://(?:www\.)?apple\.com/trailers/\w+/\w+/?',
		'lookup-pattern' => array('id' => '<a href="http://movies\.apple\.com/movies/\w+/\w+/([\w\.-]+\.mov)(?:\?width=\d+&(?:amp;)?height=\d+)?" class="large">', 'w' => '\?width=(\d+)&(?:amp;)?height=\d+" class="large">', 'h' => '\?width=\d+&(?:amp;)?height=(\d+)" class="large">'),
		'lookup-title' => '<h1>(.*?)</h1>',
	),
	array(
		'id' => 'arc',
		'pattern' => 'http://(?:www\.)?archive\.org/download/([\w-]*?/[\w-]*?\.(?:flv|mp\w|ogv))',
		'movie' => 'http://www.archive.org/flow/FlowPlayerLight.swf?config=%7Bembedded%3Atrue%2CshowFullScreenButton%3Atrue%2CshowMuteVolumeButton%3Atrue%2CshowMenu%3Atrue%2CautoBuffering%3Afalse%2CautoPlay%3Afalse%2CinitialScale%3A%22fit%22%2CmenuItems%3A%5Bfalse%2Cfalse%2Cfalse%2Cfalse%2Ctrue%2Ctrue%2Cfalse%5D%2CusePlayOverlay%3Afalse%2CshowPlayListButtons%3Atrue%2CplayList%3A%5B%7Burl%3A%22$2%22%7D%5D%2CcontrolBarGloss%3A%22high%22%2CshowVolumeSlider%3Atrue%2CbaseURL%3A%22http%3A%2F%2Fwww.archive.org%2Fdownload%2F%22%2Cloop%3Afalse%2CcontrolBarBackgroundColor%3A%220x000000%22%7D',
		'size' => array(480, 360),
		'fix-html-pattern' => '<object [^>]*>\s*<param name="movie" value="http://www\.archive\.org/flow/flowplayer\.commercial-3\.0\.3\.swf" />.*?"url":"([^"]*)".*?</object>',
		'lookup-url' => 'http://(?:www\.)?archive\.org/details/(?:[\w%-]{5,50})',
		'lookup-pattern' => 'IAD\.(?:flv|mp4)s\s=\s\["([\w-]*?/[\w-]*?\.(?:flv|mp\w|ogv))"[],]',
		'lookup-final-url' => 'http://www.archive.org/download/$1',
	),
	array(
		'id' => 'bre',
		'pattern' => '(?:http://embed\.break\.com/(\w+)|http://(?:www\.)?break\.com/[^"]*?\.html#id(\d+))',
		'movie' => 'http://embed.break.com/$2$3',
		'size' => array(464, 392),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">.*?</object>(?:<br><font size=1>.*?</font>)?',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)?break\.com/[^"]*?\w+\.html',
		'lookup-pattern' => array('id' => '<meta name="embed_video_url" content="http://embed\.break\.com/(\d+)"'),
	),
	array(
		'id' => 'bri',
		'pattern' => 'http://link\.brightcove\.com/services/(?:link|player)/bcpid(\d+)[^">]*?bctid=?(\d+)',
		'movie' => 'http://services.brightcove.com/services/viewer/federated_f8/$2?videoId=$3&playerId=$2&viewerSecureGatewayURL=https://console.brightcove.com/services/amfgateway&servicesURL=http://services.brightcove.com/services&cdnURL=http://admin.brightcove.com&domain=embed&autoStart=false&',
		'size' => array(486, 412),
		'fix-html-pattern' => '<embed src="http://services.brightcove.com/services/viewer/federated_f8/(\d+)" bgcolor="#FFFFFF" flashVars="videoId=(\d+)[^"]*"[^>]*></embed>',
		'fix-html-url' => 'http://link.brightcove.com/services/link/bcpid$1/bctid$2',
	),
	array(
		'id' => 'esp',
		'pattern' => 'http://(?:sports\.)?espn\.go\.com/(?:broadband/)?(?:player\.swf\?mediaId=|video/videopage\?[^"]*?videoId=|video/clip\?[^"]*?id=)(\d{1,10})',
		'movie' => 'http://sports.espn.go.com/broadband/player.swf?mediaId=$2',
		'size' => array(440, 361),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"/><param name="wmode" value="transparent"/><param name="allowScriptAccess" value="always"/><embed src="$1"[^>]*></embed></object>',
		'fix-html-url' => 'http://sports.espn.go.com/broadband/video/videopage?videoId=$2',
	),
	array(
		'id' => 'face',
		'pattern' => 'http://(?:www.)?facebook\.com/video/video\.php\?v=(\w+)',
		'movie' => 'http://www.facebook.com/v/$2',
		'size' => array(480, 360),
		'lookup-url' => 'http://(?:www.)?facebook\.com/video/video\.php\?v=(\w+)(?:&oid=\d+)?',
		'lookup-pattern' => array('w' => '"video_width", "(\d+)"', 'h' => '"video_height", "(\d+)"'),
		'lookup-title' => false,
	),
	array(
		'id' => 'flk',
		'pattern' => 'http://www.flickr.com/photos/[^/]+/(\d+)/?#secret(\w+)',
		'movie' => 'http://www.flickr.com/apps/video/stewart.swf?v=66164&photo_secret=$3&photo_id=$2',
		'size' => array(425, 344),
		'lookup-url' => 'http://www.flickr.com/photos/[^/]+/(\d+)/?',
		'lookup-pattern' => array('secret' => 'photo_secret: \'(\w+)\'', 'w' => 'stewart_go_go_go\((\d+),', 'h' => 'stewart_go_go_go\(\d+, (\d+),'),
	),
	array(
		'id' => 'gam',
		'pattern' => 'http://(?:[a-z]*?\.)?gamespot\.com/[^"]*?video/(?:\d{1,12}/)?(\d{1,12})',
		'movie' => 'http://image.com.com/gamespot/images/cne_flash/production/media_player/proteus/one/proteus2.swf?playerMode=embedded&movieAspect=4.3&flavor=EmbeddedPlayerVersion&skin=http://image.com.com/gamespot/images/cne_flash/production/media_player/proteus/one/skins/gamespot.png&paramsURI=http%3A%2F%2Fwww.gamespot.com%2Fpages%2Fvideo_player%2Fxml.php%3Fid%3D$2%26mode%3Dembedded%26width%3D432%26height%3D362',
		'size' => array(432, 362),
		'show-link' => true,
		'fix-html-pattern' => '<embed [^>]*http%3A%2F%2Fwww\.gamespot\.com%2Fpages%2Fvideo_player%2Fxml\.php%3Fid%3D(\d{1,12})[^>]*/>',
		'fix-html-url' => 'http://uk.gamespot.com/video/$1/',
	),
	array(
		'id' => 'hul',
		'pattern' => '(http://(?:www\.)?hulu\.com/embed/[\w-]{10,32})',
		'movie' => '$2',
		'size' => array(512, 296),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><embed src="$1"[^<>]*?></embed></object>',
		'lookup-url' => 'http://(?:www\.)?hulu\.com/watch/\d{1,12}/[\w-]{5,50}',
		'lookup-pattern' => '<link\srel="video_src"\shref="(http://(?:www\.)?hulu\.com/embed/[\w-]{10,50})',
		'lookup-title' => true,
	),
	array(
		'id' => 'ign',
		'pattern' => 'http://(?:[a-z0-9]*?\.){0,3}ign\.com/[\w-]*?/objects/(\d{1,10})/(?:[\w-]*?/)?videos/',
		'movie' => 'http://videomedia.ign.com/ev/ev.swf?object_ID=$2',
		'size' => array(433, 360),
		'fix-html-pattern' => '<embed src=\'http://videomedia\.ign\.com/ev/ev\.swf\' flashvars=\'object_ID=(\d{1,10})[^<>]*?></embed>',
		'fix-html-url' => 'http://www.ign.com/dor/objects/$1/videos/',
	),
	array(
		'id' => 'ima',
		'pattern' => 'http://img(\d{1,5})\.imageshack\.us/(?:my\.php\?image=|img\d{1,5}/\d{1,8}/|flvplayer\.swf\?f=T)([\w-]{1,20})\.flv',
		'movie' => 'http://img$2.imageshack.us/flvplayer.swf?f=T$3&autostart=false',
		'size' => array(424, 338),
	),
	array(
		'id' => 'justin',
		'pattern' => 'http://(?:\w{0,3}\.)?justin\.tv/(\w*)',
		'movie' => 'http://www.justin.tv/widgets/jtv_player.swf?channel=$2&auto_play=false',
		'size' => array(468, 383),
		'show-link' => true,
		'show-flashvars' => true,
		'lookup-title' => true,
	),
	array(
		'id' => 'kew',
		'pattern' => 'http://([^/]+)/video/([\w-]{12})\.html#kew',
		'movie' => 'http://$2/p/en/$3.html',
		'size' => array(400, 368),
		'fix-html-pattern' => '<object [^>]*data="http://www\.kewego\.com/swf/p3/epix\.swf\??"[^>]*>.*?</object><div [^>]*><a href="(http://[^/]+/video/[\w-]{12}\.html)">.*?</div></div>',
		'lookup-url' => 'http://[^/]+/video/([\w-]{12})\.html',
		'lookup-title' => true,
		'lookup-pattern' => array('kew' => 'kewego\.com/swf'),
		'lookup-skip-empty' => true,
	),
	array(
		'id' => 'laa',
		'pattern' => 'http://(?:www\.)?(?:last\.fm|lastfm\.[a-z]{2})/music/([^/"\?]+)/_/([\w\+\*%-]*)',
		'movie' => 'http://cdn.last.fm/webclient/s12n/s/5/lfmPlayer.swf?lang=en&lfmMode=playlist&FOD=true&restype=track&artist=$2&resname=$3',
		'size' => array(300, 221),
		'show-link' => true,
		'lookup-title' => '<div id="content">.*?<h1[^>]*>(.*?)</h1>',
	),
	array(
		'id' => 'mgv',
		'pattern' => 'http://(?:www\.)?megavideo\.com/(?:\?[^"]*?v=|v/)([0-9a-z]{8})',
		'movie' => 'http://www.megavideo.com/v/$2.0.0',
		'size' => array(432, 351),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">.*?</object>',
		'lookup-url' => 'http://(?:www\.)?megavideo\.com/(?:\?[^"]*?d=|d/)([0-9a-z]{8})',
		'lookup-pattern' => 'name="movie" value="(http://www\.megavideo\.com/v/\w+)">',
		'lookup-final-url' => '$1',
		'lookup-title' => false,
	),
	array(
		'id' => 'msn',
		'pattern' => 'http://(soapbox|video)\.msn\.com/(?:video\.aspx)?\?(mkt=[a-z-]{2,7}&(?:amp;)?)?(?:[^"]*?vid=|(?:from=msnvideo&(?:amp;)?showPlaylist=true&(?:amp;)?)?playlist=videoByUuids:uuids:)([0-9a-f-]{8,36})',
		'movie' => 'http://images.$2.msn.com/flash/soapbox1_1.swf?$3ch=&c=v&v=$4&title=false&ifs=true&ad=false',
		'size' => array(432, 364),
		'fix-html-pattern' => '<embed src="http://images\.(?:soapbox|video)\.msn\.com/flash/soapbox1_1\.swf" [^>]*flashvars="c=v&(?:amp;)?v=([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})&(?:amp;)?ifs=true&(?:amp;)?fr=msnvideo&(?:amp;)?mkt=en-US&(?:amp;)?brand="></embed>(?:<br /><a href="http://video\.msn\.com/[^<>]*?>[^<>]*?</a>)?',
		'fix-html-url' => 'http://video.msn.com/video.aspx?mkt=en-US&vid=$1',
	),
	array(
		'id' => 'mys',
		'pattern' => 'http://(?:vids\.myspace|myspacetv)\.com/index\.cfm\?[^"]*?VideoID=(\d{1,10})',
		'movie' => 'http://mediaservices.myspace.com/services/media/embed.aspx/m=$2',
		'size' => array(425, 360),
		'fix-html-pattern' => '(?:<a href="http://vids\.myspace\.com/[^"]*">[^<>]*?</a><br/>)?<object width="\d*px" height="\d*px" >.*?myspace.com/services/media/embed.aspx/m=(\d{1,9})[^<>]*?>.*?</object>',
		'fix-html-url' => 'http://vids.myspace.com/index.cfm?fuseaction=vids.individual&videoid=$1',
	),
	array(
		'id' => 'pho',
		'pattern' => 'http://([si](\w{1,5}))\.photobucket\.com/albums/((?:[\w%-]{1,50}/){1,10})(?:\?[^"]*?current=)?([\w%-]{1,50}\.(?:pbr|flv|mp4))',
		'movie' => 'http://$2.photobucket.com/player.swf?file=http://vid$3.photobucket.com/albums/$4$5',
		'size' => array(448, 361),
		'show-link' => true,
	),
	array(
		'id' => 'tin',
		'pattern' => 'http://(?:www\.|\w[\w-]+\.)?tinypic\.com/(?:player\.php\?v=|[rm]/)([0-9a-z-]{1,12})(?:(?:&s=|&amp;s=|/)(\d+))?',
		'movie' => 'http://(v$3|v3).tinypic.com/player.swf?file=$2&s=$3',
		'size' => array(440, 420),
		'fix-html-pattern' => '<embed [^>]*src="http://v(\d+)\.tinypic\.com/player\.swf\?file=([0-9a-z-]{1,12})[^<>]*?>(?:</embed>)?(?:<br><font size="1"><a href="http://tinypic\.com/.*?</font>)?(?:<img style="visibility:hidden;[^<>]*?>)?',
		'fix-html-url' => 'http://tinypic.com/player.php?v=$2&s=$1',
	),
	array(
		'id' => 'yav',
		'pattern' => 'http://(?:(?:www|[a-z]{2})\.)?video\.yahoo\.com/watch/(\d*)/(\d+)(?:#thumb=(http[\w\./%\:]+\.jpg))?',
		'movie' => 'http://d.yimg.com/static.video.yahoo.com/yep/YV_YEP.swf?ver=2.2.40&id=$3&vid=$2&lang=en-us&intl=us&embed=1&thumbUrl=$4',
		'size' => array(512, 322),
		'show-link' => true,
		'fix-html-pattern' => '(?:<div>)?<object [^>]*><param name="movie" value="http://d\.yimg\.com/static\.video\.yahoo\.com/yep/YV_YEP\.swf[^>]*>.*?<param name="flashVars" value="id=(\d+)&(?:amp;)?vid=(\d*)[^>]*thumbUrl=(http[\w\./%]+\.jpg)?[^<>]*>.*?</object>(?:<br /><a href="[^<>]*>.*?</div>)?',
		'fix-html-url' => 'http://video.yahoo.com/watch/$2/$1#thumb=$3',
		'lookup-url' => 'http://(?:(?:www|[a-z]{2})\.)?video\.yahoo\.com/network/[^"]*?(?:v=)?(\d+)',
		'lookup-pattern' => array('id' => '\<a id="nvi_comments_link" href="http://[^"]*?yahoo.com/watch/(\d+/\d+)"', 'thumb=' => '"thumbUrl", "(.*?)"'),
		'lookup-title' => '<h2 id="nvi_title">(.*?)</h2>',
		'lookup-final-url' => 'http://video.yahoo.com/watch/$1',
	),
	array(
		'id' => '123',
		'pattern' => 'http://(?:www\.)?123video\.nl/(?:playvideos\.asp\?[^"]*?MovieID=|123video_share\.swf\?mediaSrc=)(\d{1,8})',
		'movie' => 'http://www.123video.nl/123video_share.swf?mediaSrc=$2',
		'size' => array(420, 339),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" />.*?</object>',
		'fix-html-url' => 'http://www.123video.nl/playvideos.asp?MovieID=$2',
	),
	array(
		'id' => '5mi',
		'pattern' => 'http://(?:www\.)?5min\.com/(?:Embeded/|Video/[\w-]*?-)(\d{8})',
		'movie' => 'http://www.5min.com/Embeded/$2/',
		'size' => array(425, 355),
		'fix-html-pattern' => '(?:<div style=\'text-align:center\'>)?<object [^>]*id=\'FiveminPlayer\'>(?:<param [^>]*>)+<param name=\'movie\' value=\'$1\'/>.*?</object>(?:<br/><a href=\'http://www\.5min\.com/[^<>]*?>[^<>]*?</a></div>)?',
		'fix-html-url' => 'http://www.5min.com/Video/-$2',
	),
	array(
		'id' => '9yo',
		'pattern' => 'http://(?:www\.|v\.)?9you\.com/(?:player|watch)/([0-9a-z]{9})',
		'movie' => 'http://v.9you.com/player/$2',
		'size' => array(420, 380),
		'fix-html-pattern' => '<object[^<>]*?><param name="movie" value="$1"></param><param name="allowScriptAccess" value="always"></param><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://v.9you.com/watch/$2.html',
	),
	array(
		'id' => 'abc',
		'pattern' => '(http://video-cdn\.abcnews\.com/[\w-]*?\.flv)',
		'movie' => 'http://www.archive.org/flow/FlowPlayerLight.swf?config=%7Bembedded%3Atrue%2CshowFullScreenButton%3Atrue%2CshowMuteVolumeButton%3Atrue%2CshowMenu%3Atrue%2CautoBuffering%3Afalse%2CautoPlay%3Afalse%2CinitialScale%3A%27fit%27%2CmenuItems%3A%5Bfalse%2Cfalse%2Cfalse%2Cfalse%2Ctrue%2Ctrue%2Cfalse%5D%2CusePlayOverlay%3Afalse%2CshowPlayListButtons%3Atrue%2CplayList%3A%5B%7Burl%3A%27$2%27%7D%5D%2CcontrolBarGloss%3A%27high%27%2CshowVolumeSlider%3Atrue%2Cloop%3Afalse%2CcontrolBarBackgroundColor%3A%270x808080%27%7D',
		'size' => array(480, 388),
		'lookup-url' => 'http://abcnews\.go\.com/[^">]*?video(?:/playerIndex\?id=|/|\?catId=)(\d{1,10})',
		'lookup-actual-url' => 'http://abcnews.go.com/widgets/mediaplayer/premiumPlayerPlaylist?mid=$1',
		'lookup-pattern' => '<video streamurl="" streamurl_low="" progurl="(http://video-cdn\.abcnews\.com/[\w-]*?\.flv)"',
	),
	array(
		'id' => 'adu',
		'pattern' => 'http://www\.adultswim\.com/video/(?:vplayer/index\.html\?id=|\?episodeID=|ASVPlayer\.swf\?id=)([0-9a-f]{32})',
		'movie' => 'http://www.adultswim.com/video/ASVPlayer.swf?id=$2',
		'size' => array(425, 355),
		'fix-html-pattern' => '(?:<style>div#main{overflow:visible;}</style><div[^<>]*?><a href="http://www\.adultswim\.com/video/index\.html" style="display:block;"><img[^<>]*?></a>)?<object[^<>]*?><param name="allowFullScreen" value="true" /><param name="movie" value="http://www\.adultswim\.com/video/vplayer/index\.html"/><param name="FlashVars" value="id=([0-9a-f]{32})" />.*?</object>(?:</div>)?',
		'fix-html-url' => 'http://www.adultswim.com/video/?episodeID=$1',
	),
	array(
		'id' => 'allo',
		'pattern' => 'http://www\.allocine\.fr/video.*?gen_cmedia=(\d+).*?\.html',
		'movie' => 'http://www.allocine.fr/blogvision/$2',
		'size' => array(442, 370),
		'show-link' => true,
		'fix-html-pattern' => '<div id="allocine_blog" [^>]*><object [^>]*><param name="movie" value="http://www\.allocine\.fr/blogvision/(\d+)[">].*?</object></div>(?:<a style=.*?</a>)?',
		'fix-html-url' => 'http://www.allocine.fr/video/default_gen_cmedia=$1.html',
	),
	array(
		'id' => 'ani',
		'pattern' => 'http://(?:www\.|api\.)?aniboom\.com/(?:Player.aspx\?[^"]*?v=|video/|e/)(\d{1,10})',
		'movie' => 'http://api.aniboom.com/e/$2',
		'size' => array(425, 355),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" /><param name="allowScriptAccess" value="sameDomain" /><param name="quality" value="high" /><embed src="$1" quality="high"  width="\d*"  height="\d*" allowscriptaccess="sameDomain" type="application/x-shockwave-flash"></embed></object>(?:<br><br><span style="text-align:center;font-size:12px;"><a href="http://www\.aniboom\.com">[^<]*</a></span>)?',
		'fix-html-url' => 'http://www.aniboom.com/Player.aspx?v=$2',
	),
	array(
		'id' => 'ato',
		'pattern' => '(http://media\.mtvnservices\.com/mgid:hcx:content:atom\.com:[0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})',
		'movie' => '$2',
		'size' => array(425, 354),
		'fix-html-pattern' => '<embed src="$1"[^<>]*?></embed>(?:<div[^<>]*?><a[^<>]*?><img[^<>]*?></a> <a[^<>]*?>[^<>]*?</a>[^<>]*?<a[^<>]*?>[^<>]*?</a>[^<>]*?<a[^<>]*?>[^<>]*?</a></div>)?',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)?atom\.com/[\w-]*?/[\w-]*?/',
		'lookup-pattern' => 'mgid:hcx:content:atom\.com:([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})',
		'lookup-final-url' => 'http://media.mtvnservices.com/mgid:hcx:content:atom.com:$1',
	),
	array(
		'id' => 'ipl',
		'pattern' => 'http://(?:www\.)?bbc\.co\.uk/iplayer/(?:page/item|episode)/([a-z0-9]{8})(?:\.shtml|/)',
		'movie' => 'http://www.bbc.co.uk/emp/player.swf?playlist=http://www.bbc.co.uk/iplayer/playlist/$2&config=http://www.bbc.co.uk/emp/iplayer/config.xml&domId=emp1',
		'size' => array(640, 385),
	),
	array(
		'id' => 'beb',
		'pattern' => '(http://bebo\.(?:\d{1,4})\.download\.videoegg\.com(?:(?:/(?:[0-9a-z]*)){5}))',
		'movie' => 'http://static.videoegg.com/videoegg/loader.swf?file=$2',
		'size' => array(425, 350),
		'fix-html-pattern' => '<embed [^>]*src="http://static\.videoegg\.com/videoegg/loader\.swf" FlashVars="bgColor=FFFFFF&(?:amp;)?file=$1"[^<>]*?>(?:<br><a href="http://www\.bebo\.com/.*?</a>[^<>]*?<a href="http://www\.bebo\.com/.*?</a>)?',
		'lookup-url' => 'http://(?:www\.)?bebo\.com/(?:watch/|FlashBox\.jsp\?FlashBoxId=)(\d{1,12})',
		'lookup-actual-url' => 'http://www.bebo.com/FlashBox.jsp?FlashBoxId=$1',
		'lookup-pattern' => 'file=(http://bebo\.(?:\d{1,4})\.download\.videoegg\.com(?:(?:/[0-9a-z]*?){5}))&amp;',
	),
	array(
		'id' => 'bli',
		'pattern' => 'http://(?:www\.|[a-z0-9]*?\.)?blip\.tv/(?:play/(\w{1,15})|file/\d+/?#id(\d+))',
		'movie' => '(http://blip.tv/play/$2|http://e.blip.tv/scripts/flash/showplayer.swf?file=http%3A%2F%2Fblip.tv/rss/flash/$3&showplayerpath=http%3A%2F%2Fblip.tv/scripts/flash/showplayer.swf&feedurl=http://JosephK.blip.tv/rss/flash&brandname=blip.tv&brandlink=http://blip.tv/%3Futm_source%3Daeva&enablejs=false)',
		'size' => array(400, 330),
		'fix-html-pattern' => '<embed src="$1"[^>]*></embed>',
		'lookup-url' => 'http://(?:www\.|[a-z0-9]*?\.)?blip\.tv/file/(?:\d{1,10})([^"]*?)',
		'lookup-pattern' => array('id' => 'setPostsId\((\d+)\)'),
		'lookup-title' => true,
	),
	array(
		'id' => 'bof',
		'pattern' => '(http://www.bofunk.com/e/(?:[0-9a-z]{39}))',
		'movie' => '$2',
		'size' => array(446, 370),
		'fix-html-pattern' => '<embed src="$1"[^<>]*?>(?:<br><a href="http://www\.bofunk\.com[^<>]*?>[^<>]*?</a>(?:[\s-]{0,3})?<a href="http://www\.bofunk\.com[^<>]*?>[^<>]*?</a>)?',
		'lookup-url' => 'http://(?:www\.)?bofunk\.com/video/\d{1,10}/[\w-]*?\.html',
		'lookup-pattern' => '<embed\ssrc="/w/([0-9a-z]{39})"',
		'lookup-final-url' => 'http://www.bofunk.com/e/$1',
	),
	array(
		'id' => 'bom',
		'pattern' => 'http://(?:www\.)?grapheine\.com/bombaytv/(?:index\.php)?\?[^#"]*?code=(\w+)',
		'movie' => 'http://www.grapheine.com/bombaytv/bt.swf?code=$2',
		'size' => array(400, 370),
		'show-link' => true,
		'fix-html-pattern' => '<object width="(\d+)" height="(\d+)"><param name="movie" value="http://www\.grapheine\.com/bombaytv/bt\.swf\?code=(\w+)">.*?</object>',
		'fix-html-url' => 'http://www.grapheine.com/bombaytv/index.php?module=see&lang=uk&code=$3#w$1-h$2',
	),
	array(
		'id' => 'bro',
		'pattern' => '(http://(?:www\.)?broadcaster\.com/video/external/player\.swf\?clip=([\w-]*?)\.flv)',
		'movie' => '$2',
		'size' => array(425, 340),
		'fix-html-pattern' => '<embed src="$1"[^<>]*?> ?</embed>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://www.broadcaster.com/clip/(?:\d{1,12})',
		'lookup-pattern' => '&lt;embed src="(http://(?:www\.)?broadcaster\.com/video/external/player\.swf\?clip=([\w-]*?)\.flv)"',
	),
	array(
		'id' => 'car',
		'pattern' => 'http://carpixtv\.vidiac\.com/video/([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})\.htm',
		'movie' => 'http://carpixtv.vidiac.com/vidiac.swf?video=$2',
		'size' => array(428, 352),
		'fix-html-pattern' => '<embed src="http://(?:carpixtv\.)?vidiac.com/[^<>]*?video=([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})[^<>]*?(?:/>|></embed>)(?:<br/><a href="http://vidiac.com/[^<>]*?">[^<>]*?</a>)?',
		'fix-html-url' => 'http://carpixtv.vidiac.com/video/$1.htm',
	),
	array(
		'id' => 'spo',
		'pattern' => 'http://(?:www\.)?cbssports\.com/video/player/(?:play|embed)/([a-z0-9]*?/([\w-]{32}))',
		'movie' => 'http://www.cbs.com/thunder/swf30can10cbssports/rcpHolderCbs-3-4x3.swf?link=http://www.cbssports.com/video/player/play/$2&partner=cbssports&vert=Sports&autoPlayVid=false&releaseURL=http://release.theplatform.com/content.select?pid=$3&name=cbsPlayer&embedded=y&rv=n&salign=tl',
		'size' => array(497, 379),
		'fix-html-pattern' => '<embed src=\'http://www\.cbs\.com/thunder/swf30can10cbssports/rcpHolderCbs-3-4x3\.swf\' FlashVars=\'link=[\w%]*(play|embed)%2F([^%]+)%2F([^&]+)&[^>]*></embed>(?:<br/><a href=\'http://www.cbs.com\'>.*?</a>)?',
		'fix-html-url' => 'http://www.cbssports.com/video/player/$1/$2/$3',
		'fix-html-urldecode' => true,
	),
	array(
		'id' => 'cel',
		'pattern' => 'http://(cellfish\.|www\.)?cellfish\.com/(?:video|ringtone|multimedia)/(\d{1,10})/',
		'movie' => 'http://$2cellfish.com/static/swf/player8.swf?Id=$3',
		'size' => array(420, 315),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://cellfish\.com/static/swf/player\d*\.swf\?Id=(\d*)" />.*?</object>',
		'fix-html-url' => 'http://cellfish.com/video/$2',
	),
	array(
		'id' => 'cla',
		'pattern' => 'http://(?:www\.)videos\.clarin\.com/index\.html\?id=(\d{1,12})',
		'movie' => 'http://www.clarin.com/shared/v9/swf/clarinvideos/player.swf?id=$2&RUTAS=http://www.clarin.com/shared/v9/swf/clarinvideos/rutas.xml&SEARCH=http://www.servicios.clarin.com/decoder/buscador_getMtmYRelacionados/$2|CLARIN_VIDEOS|VIDEO|null|100|1|10|null.xml',
		'size' => array(533, 438),
		'fix-html-pattern' => '<script[^<>]*?></script><script type="text/javascript">cargarVideo\((\d{1,12})\);</script>',
		'fix-html-url' => 'http://www.videos.clarin.com/index.html?id=$1',
	),
	array(
		'id' => 'cli',
		'pattern' => 'http://(?:www\.)?clip\.vn/w(?:atch/[\w-]*?)?/([a-z0-9_-]{1,5}),vn',
		'movie' => 'http://www.clip.vn/w/$2,vn,0,,hq',
		'size' => array(448, 361),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://(?:www\.)?clip\.vn/w/([a-z0-9_-]{1,5}),vn,0,,hq".*?</object>',
		'fix-html-url' => 'http://www.clip.vn/w/$1,vn,0,,hq',
	),
	array(
		'id' => 'clo',
		'pattern' => 'http://(?:www\.)?clipfish\.de/(?:(?:player\.php|videoplayer\.swf)\?[^"]*?vid=|video/)(\d{1,20})',
		'movie' => 'http://www.clipfish.de/videoplayer.swf?as=0&vid=$2&r=1',
		'size' => array(464, 380),
		'fix-html-pattern' => '<object [^>]*><param name=\'allowScriptAccess\' value=\'always\' /><param name=\'movie\' value=\'$1\' />.*?</object>(?:<a href=\'http://www.clipfish.de.*?</a>)?',
		'fix-html-url' => 'http://www.clipfish.de/video/$2',
	),
	array(
		'id' => 'cln',
		'pattern' => 'http://(?:www\.)?clipfish\.de/(?:video)?player\.(?:swf|php)[^"]*?videoid=([a-z0-9]{18}(?:==)?|[a-z0-9]{6}(?:==)?)',
		'movie' => 'http://www.clipfish.de/videoplayer.swf?as=0&videoid=$2%3D%3D&r=1',
		'size' => array(464, 380),
		'fix-html-pattern' => '<object [^>]*>\s{0,3}<param name="allowScriptAccess" value="always" />\s{0,3}<param name="movie" value="$1" />.*?</object>(?:\s{0,3}<a href="http://www.clipfish.de.*?</a>)?',
		'fix-html-url' => 'http://www.clipfish.de/videoplayer.swf?as=0&videoid=$2%3D%3D&r=1',
	),
	array(
		'id' => 'clj',
		'pattern' => 'http://(?:www\.)?clipjunkie\.com/([^"]*?-vid\d{1,10})\.html',
		'movie' => 'http://www.clipjunkie.com/flvplayer/flvplayer.swf?flv=http://videos.clipjunkie.com/videos/$2.flv&themes=http://www.clipjunkie.com/flvplayer/themes.xml&playList=http://www.clipjunkie.com/playlist.php&config=http://www.clipjunkie.com/skin/config.xml',
		'size' => array(460, 357),
	),
	array(
		'id' => 'cll',
		'pattern' => 'http://(?:www\.)?cliplife\.jp/clip/\?content_id=([\w-]{6,12})',
		'movie' => 'http://player.cliplife.jp/player_external_03.swf?clipinfo=http%3A%2F%2Fstream.cliplife.jp%2Fclipinfo%2Fclipinfo_03.php%3Fcontent_id%3D$2',
		'size' => array(320, 264),
		'fix-html-pattern' => '<script language="javascript" src="http://player\.cliplife\.jp/\?([\w-]{6,12})"></script>',
		'fix-html-url' => 'http://www.cliplife.jp/clip/?content_id=$1',
	),
	array(
		'id' => 'clm',
		'pattern' => 'http://(?:www\.)?clipmoon\.com/(?:videos/|[^"]*?viewkey=)([0-9a-z]{1,10})',
		'movie' => 'http://www.clipmoon.com/flvplayer.swf?config=http://www.clipmoon.com/flvplayer.php?viewkey=$2&external=yes',
		'size' => array(460, 357),
		'fix-html-pattern' => '<embed src="http://www\.clipmoon\.com/flvplayer\.swf" FlashVars="config=$1"[^>]*> </embed>',
		'fix-html-url' => 'http://www.clipmoon.com/videos/$2/',
	),
	array(
		'id' => 'cls',
		'pattern' => 'http://(?:www\.)?clipser\.com/(?:Play\?vid=|watch_video/)(\d{4,10})',
		'movie' => 'http://www.clipser.com/Play?vid=$2',
		'size' => array(425, 355),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">.*?</object>',
		'fix-html-url' => 'http://www.clipser.com/watch_video/$2',
	),
	array(
		'id' => 'clk',
		'pattern' => 'http://(?:www\.)?clipshack\.com/Clip\.aspx\?key=([0-9a-f]{16})',
		'movie' => 'http://www.clipshack.com/player.swf?key=$2',
		'size' => array(430, 370),
		'fix-html-pattern' => '<embed src="$1" width="\d*" height="\d*" wmode="transparent"></embed>',
		'fix-html-url' => 'http://www.clipshack.com/Clip.aspx?key=$2',
	),
	array(
		'id' => 'col',
		'pattern' => 'http://(?:www\.)?cold-link\.com/(?:play|vid)/([a-z0-9]{8,12})',
		'movie' => 'http://cold-link.com/vid/$2',
		'size' => array(575, 400),
		'fix-html-pattern' => '<object [^>]*>\s{0,3}<param name="movie" value="$1" />.*?</object>',
		'fix-html-url' => 'http://cold-link.com/play/$2',
	),
	array(
		'id' => 'clg',
		'pattern' => 'http://(?:www\.)?collegehumor\.com/video:(\d{1,12})',
		'movie' => 'http://www.collegehumor.com/moogaloop/moogaloop.swf?clip_id=$2',
		'size' => array(480, 360),
		'fix-html-pattern' => '(?:<object [^>]*>(?:<param [^>]*>)+<param name="movie" quality="best" value="http://www\.collegehumor\.com/moogaloop/moogaloop\.swf\?clip_id=(\d*)[^"]*" /></object>)(?:<div style="padding:5px 0;.*?</div>)?',
		'fix-html-url' => 'http://www.collegehumor.com/video:$1',
	),
	array(
		'id' => 'coc',
		'pattern' => 'http://(?:www\.)?(?:comedycentral|thedailyshow)\.com/(?:[a-z0-9]{5,20}/)?video(?:s)?(?:/index)?\.jhtml\?videoId=(\d{1,10})',
		'movie' => 'http://www.comedycentral.com/sitewide/video_player/view/default/swf.jhtml?videoId=$2',
		'size' => array(332, 316),
		'fix-html-pattern' => '<embed FlashVars=\'videoId=(\d{1,12})\'.*?</embed>',
		'fix-html-url' => 'http://www.comedycentral.com/videos/index.jhtml?videoId=$1',
	),
	array(
		'id' => 'cra',
		'pattern' => 'http://(?:www\.)?crackle\.com/c/([a-z0-9_]*?)/([a-z0-9_]*?)/(\d{1,10})',
		'movie' => 'http://www.crackle.com/p/$2/$3.swf?id=$4',
		'size' => array(400, 328),
		'fix-html-pattern' => '(?:<div style=\'font-family:arial;font-size:12px;text-align:center;\'>)?<embed allowFullScreen="true" src="http://(?:www\.)?crackle\.com/p/([a-z0-9_]*?)/([a-z0-9_]*?)\.swf" width="\d*" height="\d*" quality="high" scale="noScale" FlashVars="id=(\d{1,10})[^"]*"[^>]*></embed>(?:<p>From Crackle:.*?</p></div>)?',
		'fix-html-url' => 'http://www.crackle.com/c/$1/$2/$3',
	),
	array(
		'id' => 'cru',
		'pattern' => 'http://(?:www\.)?crunchyroll\.com/media-(\d+)/[\w-]*?\.html\?oldplayer=1#id(\d+)',
		'movie' => 'http://www.crunchyroll.com/flash/20090126131528.9c04de8f74a443808b1df4c1f36c3757/oldplayer2.swf?file=http%3A%2F%2Fwww.crunchyroll.com%2Fgetitem%3Fvideoid%3D$3%26mediaid%3D$2&autostart=false',
		'size' => array(576, 325),
		'show-link' => true,
		'lookup-url' => 'http://(?:www\.)?crunchyroll\.com/(media-\d+/[\w-]*?\.html)',
		'lookup-actual-url' => 'http://www.crunchyroll.com/$1?oldplayer=1',
		'lookup-pattern' => array('id' => '%3Fvideoid%3D(\d+)', 'w' => 'width="(\d+)" height="\d+"><param', 'h' => 'width="\d+" height="(\d+)"><param'),
		'lookup-urldecode' => true,
	),
	array(
		'id' => 'cult',
		'pattern' => 'http://(www\.culturepub\.fr/videos)/[\w-]+\.html#id(\d+)-hd([01])',
		'movie' => 'http://www.culturepub.fr/player.swf?RPath=$2&HD=$4&Media=$3&Ref=&TypeRef=&SeuilBD=600&Rld=1&SauveBP=200&NoCache=0',
		'size' => array('normal' => array(442, 370), 'hd1' => array(730, 586)),
		'show-link' => true,
		'lookup-url' => 'http://(?:www\.)?culturepub\.fr/videos/[\w-]+\.html',
		'lookup-pattern' => array('id' => '&Media=(\d+)&Ref', 'hd' => '&HD=([01])&'),
	),
	array(
		'id' => 'cur',
		'pattern' => '(http://(?:www\.)?current\.com/e/\d{8})',
		'movie' => '$2',
		'size' => array(400, 400),
		'fix-html-pattern' => '<object [^>]*>\s{0,3}<param name="movie" value="$1">.*?</object>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)?current\.com/items/\d{8}_[\w-]*',
		'lookup-pattern' => 'so\.addVariable\(\'permalink\',\s\'http://current\.com/items/(\d{8})_[\w-]*?\'\);',
		'lookup-final-url' => 'http://www.current.com/e/$1',
	),
	array(
		'id' => 'dah',
		'pattern' => 'http://(?:www\.)?dailyhaha\.com/_vids/(?:Whohah\.swf\?Vid=)?([a-z0-9_-]*?)\.(?:htm|flv)',
		'movie' => 'http://www.dailyhaha.com/_vids/Whohah.swf?Vid=$2.flv',
		'size' => array(425, 350),
		'fix-html-pattern' => '(?:<div style="text-align:center;">)?<embed src="$1".*?</embed>(?:<br /> More <a href="http://www\.dailyhaha\.com">Funny Videos</a></div>)?',
		'fix-html-url' => 'http://www.dailyhaha.com/_vids/$2.htm',
	),
	array(
		'id' => 'demo',
		'pattern' => 'http://(?:www\.)?demoscene\.tv/(?:page|prod)\.php\?.*?id_prod=\d+[^#]*#id(\w+)',
		'movie' => 'http://www.demoscene.tv/mediaplayer.swf?id=$2',
		'size' => array(512, 404),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*>\s{0,3}<param name="movie" value="$1">.*?</object>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)?demoscene\.tv/(?:page|prod)\.php\?.*?id_prod=\d+',
		'lookup-pattern' => array('id' => '&lt;embed src=&quot;http://www\.demoscene\.tv/mediaplayer\.swf\?id=(\w+)&quot;', 'w' => 'width=&quot;(\d+)&quot;', 'h' => 'height=&quot;(\d+)&quot;'),
		'lookup-title' => '<title>(?:DTV :: All the demoscene on a web TV ! - )?(.*?)</title>',
	),
	array(
		'id' => 'dot',
		'pattern' => 'http://(?:www\.)?dotsub\.com/(?:media/|view/)([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})',
		'movie' => 'http://dotsub.com/static/players/embed8l.swf?mediauri=http://dotsub.com/media/$2/em/flv/en',
		'size' => array(480, 392),
		'fix-html-pattern' => '<iframe src="$1" frameborder="0" width="\d*" height="\d*"></iframe>',
	),
	array(
		'id' => 'dbl',
		'pattern' => '(http://doubleviking\.cachefly\.net/videos/doubleviking/\d{4}/\d{1,2}/\d{1,2}/[0-9a-z-]*?\.flv)',
		'movie' => 'http://www.doubleviking.com/mediaplayer.swf?file=$2',
		'size' => array(400, 340),
		'lookup-url' => '(http://(?:www\.)?doubleviking\.com/videos/page\d{1,2}\.html/[0-9a-z-]*?-\d{1,12}\.html)',
		'lookup-pattern' => '(?:so.addVariable\("file", "|var\smediaUrl\s=\s")(http://doubleviking\.cachefly\.net/videos/doubleviking/\d{4}/\d{1,2}/\d{1,2}/[0-9a-z-]*?\.flv)"',
	),
	array(
		'id' => 'dro',
		'pattern' => '(http://media\d{0,2}\.dropshots\.com/photos(?:/\d{1,10}){1,3}\.flv)',
		'movie' => 'http://www.dropshots.com/dropshotsplayer.swf?url=$2',
		'size' => array(480, 385),
	),
	array(
		'id' => 'dvo',
		'pattern' => 'http://dv\.ouou\.com/(?:play/v_|v/)([a-f0-9]{14})',
		'movie' => 'http://dv.ouou.com/v/$2',
		'size' => array(480, 385),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="allowFullScreen" value="true"></param><embed src="$1"[^>]*></embed></object>',
		'fix-html-url' => 'http://dv.ouou.com/play/v_$2.html',
	),
	array(
		'id' => 'eas',
		'pattern' => '(http://videocdn\.easw\.easports\.com/easportsworld/media/\d{1,12}/[\w-]*?\.flv)',
		'movie' => 'http://ll-999.ea.com/sonet-easw/2.2.4.0/flash/sw/videos/mediaplayer.swf?file=$2&image=http://ll-999.ea.com/sonet-easw/2.2.4.0/images/sw/videos/preview.jpg&backcolor=0x000000&frontcolor=0x006BCC&lightcolor=0x006BCC',
		'size' => array(566, 355),
		'fix-html-pattern' => '\s{0,8}<object [^>]*>\s{0,8}<param name="movie" value="[^"]*?file=$1[^<>]*?/>.*?</object>(?:\s{0,9}<div style="font-family: Arial, sans-serif; font-size: 11px;">.*?</div>(?:\s{0,8}<img[^<>]*?/>)?)?',
		'lookup-url' => 'http://(?:www\.)?easportsworld\.com/[\w-]{1,12}/video/\d{1,12}',
		'lookup-pattern' => 'flashvars\.file\s=\s\'(http://videocdn\.easw\.easports\.com/easportsworld/media/\d{1,12}/[\w-]*?\.flv)\';',
	),
	array(
		'id' => 'ebv',
		'pattern' => '(?:http://www\.ebaumsworld\.com/mediaplayer\.swf\?file=)?(?:http://(?:www\.)?ebaumsworld\.com/video/watch/\d+#file=)?(http://media\.ebaumsworld\.com/(?:mediaFiles/)?videos?/[0-9/]+\.(?:flv|mp4))(?:-thumb=(.*?\.jpg))?',
		'movie' => 'http://www.ebaumsworld.com/mediaplayer.swf?file=$2&displayheight=325&image=($3|http://media.ebaumsworld.com/img/logobar.jpg)',
		'size' => array(425, 345),
		'fix-html-pattern' => '<embed src="http://www\.ebaumsworld\.com/mediaplayer\.swf" flashvars="pageurl=(http://www\.ebaumsworld\.com/video/watch/\d+)/&[^>]*/>',
		'lookup-url' => 'http://(?:www\.)?ebaumsworld\.com/video/watch/\d+',
		'lookup-pattern' => array('file=' => '<link rel="video_src" href="[^"]*file=([^&]+)', 'thumb=' => '<link rel="videothumbnail" href="([^"]+)"'),
		'lookup-title' => true,
	),
	array(
		'id' => 'exc',
		'pattern' => 'http://(?:www\.)?excessif\.com/video/(?:index\.php)?\?flashvideo=(\w+\.flv)',
		'movie' => 'http://www.excessif.com/video/player_flv_maxi.swf?flv=$2&width=600&height=400&videobgcolor=121619&buffermessage=&showstop=1&showtime=1&showvolume=1&srt=0&showvolume=1&skin=player_flv_skin001.jpg&margin=0&startimage=inextv.jpg&playercolor=cccccc&buttoncolor=333333&buttonovercolor=999999&slidercolor1=333333&slidercolor2=0&sliderovercolor=999999&loadingcolor=0&showfullscreen=1&autoplay=0&ondoubleclick=fullscreen&onclick=none',
		'size' => array(600, 400),
		'show-link' => true,
	),
	array(
		'id' => 'expo',
		'pattern' => 'http://(?:www\.)?exposureroom\.com/members/\w+.aspx/assets/([0-9a-f]+)/(?:#(sm|md))?',
		'movie' => 'http://exposureroom.com/flash/xrVideoPlayer.swf?domain=exposureroom.com/&assetId=$2&size=($3|md)&titleColor=white',
		'size' => array('normal' => array(646, 396), 'sm' => array(342, 225), 'md' => array(646, 396)),
		'show-link' => true,
		'lookup-title' => true,
		'fix-html-pattern' => '<div id="[^"]+"><object [^>]+><param [^>]+assetId=[0-9a-f]+&size=(sm|md)[^>]+>.*?</object></div><div [^>]+>.*?<a href="(http://exposureroom\.com/members/\w+\.aspx/assets/[0-9a-f]+/)">.*?</div>',
		'fix-html-url' => '$2#$1',
	),
	array(
		'id' => 'fod',
		'pattern' => 'http://(?:www\.|www2\.)?funnyordie\.com/(?:videos/|public/flash/fodplayer\.swf\?key=)([0-9a-z]{8,12})',
		'movie' => 'http://www2.funnyordie.com/public/flash/fodplayer.swf?key=$2',
		'size' => array(464, 388),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www2\.funnyordie\.com/public/flash/fodplayer\.swf[^"]*" /><param name="flashvars" value="key=([0-9a-z]{8,12})" />.*?</object>(?:<div style="text-align:center;width: \d*px;">[^<]*<a href="http://www\.funnyordie\.com/[^"]*">[^<]*</a>[^<]*</div>)?',
		'fix-html-url' => 'http://www.funnyordie.com/videos/$1',
	),
	array(
		'id' => 'g4t',
		'pattern' => 'http://(?:www\.)?g4tv\.com/(?:xplay/videos/|lv3/|sv3/)(\d{1,10})',
		'movie' => 'http://www.g4tv.com/lv3/$2',
		'size' => array(480, 418),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" />.*?</object>',
		'fix-html-url' => 'http://www.g4tv.com/xplay/videos/28510/$2',
	),
	array(
		'id' => 'gko',
		'pattern' => 'http://(?:www\.)?gamekyo\.com/(?:video|flash/flvplayer\.swf\?videoid=)(\d{1,8})',
		'movie' => 'http://www.gamekyo.com/flash/flvplayer.swf?videoid=$2',
		'size' => array(512, 307),
		'fix-html-pattern' => '<object [^>]*><param name=movie value="$1">.*?</object>',
		'fix-html-url' => 'http://www.gamekyo.com/flash/flvplayer.swf?videoid=$2',
	),
	array(
		'id' => 'gat',
		'pattern' => 'http://(?:www\.)?gametrailers\.com/(?:(?:\w+/)*(?:(u)ser-?movies?/)?[^"<>]*/|remote_wrap\.php\?(u)?mid=)(\d{1,10})',
		'movie' => 'http://www.gametrailers.com/remote_wrap.php?$2$3mid=$4',
		'size' => array(480, 392),
		'fix-html-pattern' => '<object [^>]*id="gtembed"[^>]*>.*?<param name="movie" value="$1"/>.*?</object>',
		'fix-html-url' => 'http://www.gametrailers.com/remote_wrap.php?$2$3mid=$4',
		'lookup-title' => true,
	),
	array(
		'id' => 'gab',
		'pattern' => 'http://(?:www\.)?gametube\.org/(?:\#/video/|htmlVideo\.jsp\?id=|miniPlayer\.swf\?vidId=)([0-9a-z]{1,3}/(?:[a-z0-9_-]{26})=)',
		'movie' => 'http://www.gametube.org/miniPlayer.swf?vidId=$2',
		'size' => array(425, 335),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">.*?</object>',
		'fix-html-url' => 'http://www.gametube.org/#/video/$2',
	),
	array(
		'id' => 'gav',
		'pattern' => 'http://(?:www\.)?gamevideos(?:\.1up)?\.com/(?:video/id/|video/embed\?[^"]*?video=)(\d{1,8})',
		'movie' => 'http://gamevideos.1up.com/swf/gamevideos11.swf?embedded=1&fullscreen=1&autoplay=0&src=http://gamevideos.1up.com/video/videoListXML%3Fid%3D$2%26adPlay%3Dfalse',
		'size' => array(500, 319),
		'fix-html-pattern' => '(?:<div style="width:500px; text-align:center">)?<embed [^>]*http://gamevideos\.1up\.com/video/videoListXML%3Fid%3D(\d{1,10}).*?</embed>(?:<a href="http://gamevideos\.1up\.com/[^"]*" target="_blank">[^<]*</a></div>)?',
		'fix-html-url' => 'http://gamevideos.1up.com/video/id/$1',
	),
	array(
		'id' => 'gar',
		'pattern' => '(http://www\.garagetv\.be/v/[\w\!-]*?/v\.aspx)',
		'movie' => '$2',
		'size' => array(430, 369),
		'fix-html-pattern' => '<object [^>]*>\s{0,2}<param name="movie" value="$1" />.*?</object>(?:<noscript>[^<]*<a href="http://www\.garagetv\.be/[^"]*">[^<]*</a>[^<]*</noscript>)?',
		'lookup-url' => 'http://(?:www\.)?garagetv\.be/video-galerij(?:(?:/[\w-]*?){2})\.aspx',
		'lookup-pattern' => '<param\sname=&quot;movie&quot;\svalue=&quot;(http://www\.garagetv\.be/v/[\w\!-]*?/v\.aspx)&quot;\s/>',
	),
	array(
		'id' => 'glo',
		'pattern' => 'http://(?:www\.)?gloria\.tv/\?video=([a-z0-9]{20})',
		'movie' => 'http://www.gloria.tv/flvplayer.swf?file=http%3A%2F%2Fwww.gloria.tv%2F%3Fembed%26video%3D$2%26width%3D512%26height%3D288&type=flv&image=http%3A%2F%2Fwww.gloria.tv%2F%3Fembed%26image%3D$2%26width%3D512%26height%3D288&autostart=false&showdigits=true&usefullscreen=false&logo=http%3A%2F%2Fwww.gloria.tv%2Fimage%2Flogo_embed.png&link=http%3A%2F%2Fwww.gloria.tv%2F%3Fvideo%3Dddexrl6eelym3gaabxmz%26amp%3Bview%3Dflash&linktarget=_blank&volume=100&backcolor=0xe0e0e0&frontcolor=0x000000&lightcolor=0xf00000',
		'size' => array(512, 404),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.gloria\.tv/flvplayer\.swf\?file=http%3A%2F%2Fwww\.gloria\.tv%2F%3Fembed%26video%3D([a-z0-9]{20})%26.*?</object>',
		'fix-html-url' => 'http://www.gloria.tv/?video=$1',
	),
	array(
		'id' => 'glu',
		'pattern' => 'http://(?:www\.)?glumbert\.com/(?:embed|media)/([a-z0-9_-]{1,30})',
		'movie' => 'http://www.glumbert.com/embed/$2',
		'size' => array(425, 335),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'$1\'>.*?</object>(?:<div><a href=\'http://www\.glumbert\.com/[^\']*?\'>[^<]*</a></div>)?',
		'fix-html-url' => 'http://www.glumbert.com/media/$2',
	),
	array(
		'id' => 'got',
		'pattern' => '(http://tv\.gotgame\.com/flvideo/\d{1,10}\.flv)',
		'movie' => 'http://tv.gotgame.com/player/FlowPlayerDark.swf?config=%7Bembedded%3Atrue%2CshowFullScreenButton%3Atrue%2CshowMuteVolumeButton%3Atrue%2CshowMenu%3Atrue%2CautoBuffering%3Afalse%2CautoPlay%3Afalse%2CinitialScale%3A%27fit%27%2CmenuItems%3A%5Bfalse%2Cfalse%2Cfalse%2Cfalse%2Ctrue%2Ctrue%2Cfalse%5D%2CusePlayOverlay%3Afalse%2CshowPlayListButtons%3Atrue%2CplayList%3A%5B%7Burl%3A%27$2%27%7D%5D%2CcontrolBarGloss%3A%27high%27%2CshowVolumeSlider%3Atrue%2Cloop%3Afalse%2CcontrolBarBackgroundColor%3A%270x808080%27%7D',
		'size' => array(516, 320),
		'fix-html-pattern' => '<iframe src=http://tv\.gotgame\.com/index_embed\.php\?vkey=([a-f0-9]{20})[^<>]*?></iframe>',
		'fix-html-url' => 'http://tv.gotgame.com/view_video.php?vkey=$1',
		'lookup-url' => 'http://tv.gotgame.com/view_video.php?vkey=[a-f0-9]{20}',
		'lookup-pattern' => 'config={videoFile: \'(http://tv\.gotgame\.com/flvideo/(\d{1,10})\.flv)\',',
	),
	array(
		'id' => 'gra',
		'pattern' => 'http://grassroots\.itvlocal\.com/(?:Clip\.aspx|player\.swf)\?key=([a-f0-9]{16})',
		'movie' => 'http://grassroots.itvlocal.com/player.swf?key=$2',
		'size' => array(430, 370),
		'fix-html-pattern' => '<embed src="$1"[^<>]*?></embed>',
		'fix-html-url' => 'http://grassroots.itvlocal.com/Clip.aspx?key=$2',
	),
	array(
		'id' => 'gri',
		'pattern' => '(http://images\.grindtv\.com/images/player/videoplayer\.swf\?[^"]*?i=\d{1,12})',
		'movie' => '$2',
		'size' => array(640, 480),
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'$1\'>.*?</object>',
		'lookup-url' => 'http://(?:www\.)?grindtv\.com/video/(?:(?:[\w\.-]*?/){2})',
		'lookup-pattern' => 'var video = (\d{1,12});',
		'lookup-final-url' => 'http://images.grindtv.com/images/player/videoplayer.swf?version=2.0.6&sa=1&si=1&i=$1',
	),
	array(
		'id' => 'gub',
		'pattern' => 'http://(?:www\.)?guba\.com/watch/(\d{1,12})',
		'movie' => 'http://www.guba.com/f/root.swf?video_url=http://free.guba.com/uploaditem/$2/flash.flv&isEmbeddedPlayer=true',
		'size' => array(525, 360),
		'show-link' => true,
		'fix-html-pattern' => '<embed src="http://www\.guba\.com/f/root\.swf\?video_url=http://free\.guba\.com/uploaditem/(\d{1,12})/flash\.flv&(?:amp;)?isEmbeddedPlayer=true"[^<>]*?></embed>',
		'fix-html-url' => 'http://www.guba.com/watch/$1',
		'lookup-title' => true,
	),
	array(
		'id' => 'hub',
		'pattern' => 'http://hub\.witness\.org/(?:en|fr|es)/node/(\d{1,10})',
		'movie' => 'http://hub.witness.org/sites/hub.witness.org/modules/contrib-5/flvmediaplayer/mediaplayer.swf?file=http://hub.witness.org/xspf/node/$2&overstretch=fit&repeat=false&logo=http://hub.witness.org/sites/hub.witness.org/themes/witness/images/hub_wm.png',
		'size' => array(400, 280),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie"[^<>]*?></param><embed[^<>]*?flashvars="width=\d*&height=\d*&file=http://hub.witness.org/xspf/node/(\d{1,10})[^<>]*?></embed></object>',
		'fix-html-url' => 'http://hub.witness.org/en/node/$1',
		'lookup-title' => true,
	),
	array(
		'id' => 'hum',
		'pattern' => 'http://video\.humour\.com/videos-comiques/videos/([0-9a-f]{32})\.flv',
		'movie' => 'http://www.humour.com/videos-comiques/player/mediaplayer.swf?file=http://video.humour.com/videos-comiques/videos/$2.flv&http://video.humour.com/videos-comiques/printscreen/large/$2.jpg',
		'size' => array(425, 355),
		'lookup-url' => 'http://(?:www\.)?humour\.com/(?:videos-comiques/videos\.asp\?VIDvideo=|videos\.asp\?num=)(\d{1,12})',
		'lookup-actual-url' => 'http://www.humour.com/videos-comiques/videos.asp?VIDvideo=$1',
		'lookup-pattern' => '<link\srel="image_src"\shref="http://video\.humour\.com/videos-comiques/printscreen/small/([0-9a-f]{32}).jpg"',
		'lookup-final-url' => 'http://video.humour.com/videos-comiques/videos/$1.flv',
		'lookup-title' => false,
	),
	array(
		'id' => 'iua',
		'pattern' => '(http://i1\.i\.ua/video/vp3\.swf\?9&(?:amp;)?userID=\d{1,20}&(?:amp;)?videoID=\d{1,20}&(?:amp;)?playTime=\d{1,20}&(?:amp;)?repeat=0&(?:amp;)?autostart=0&(?:amp;)?videoSize=\d{1,20}&(?:amp;)?userStatus=\d{1,2}&(?:amp;)?notPreview=\d{1,2}&(?:amp;)?mID=m?\d{1,2})',
		'movie' => '$2',
		'size' => array(450, 349),
		'lookup-url' => 'http://video\.i\.ua/user/(\d{1,20})/(?:\d{1,20}/)(\d{1,20})/',
		'lookup-pattern' => '"(userID=\d{1,20}&videoID=\d{1,20}&playTime=\d{1,20}&repeat=0&autostart=0&videoSize=\d{1,20}&userStatus=\d{1,2}&notPreview=\d{1,2}&mID=m?\d{1,2})"',
		'lookup-final-url' => 'http://i1.i.ua/video/vp3.swf?9&$1',
		'lookup-title' => false,
	),
	array(
		'id' => 'imd',
		'pattern' => 'http://(?:www\.)?totaleclips\.com/Player/Bounce\.aspx\?eclipid=([0-9a-z]{1,12})&(?:amp;)?bitrateid=(\d{1,10})&(?:amp;)?vendorid=(\d{1,10})&(?:amp;)?type=\.flv',
		'movie' => 'http://www.imdb.com/images/js/app/video/mediaplayer.swf?file=http%3A%2F%2Fwww.totaleclips.com%2FPlayer%2FBounce.aspx%3Feclipid%3D$2%26bitrateid%3D$3%26vendorid%3D$4%26type%3D.flv&backcolor=0x000000&frontcolor=0xCCCCCC&lightcolor=0xFFFFCC&shuffle=false&autostart=false',
		'size' => array(480, 380),
		'lookup-url' => 'http://(?:www\.)?imdb\.com/video/screenplay/([0-9a-z]+)(?:/player)*',
		'lookup-actual-url' => 'http://www.imdb.com/video/screenplay/$1/player',
		'lookup-pattern' => 'so\.addVariable\("file",\s"([^"]+)"',
		'lookup-urldecode' => true,
	),
	array(
		'id' => 'ind',
		'pattern' => 'http://(?:www\.)?indyarocks\.com/videos/(?:(?:[^"-]*?-){1,10}|embed-)(\d{1,8})',
		'movie' => 'http://www.indyarocks.com/videos/embed-$2',
		'size' => array(425, 350),
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'$1\'></param><param name=\'wmode\' value=\'transparent\'></param><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://www.indyarocks.com/videos/embed-$2',
	),
	array(
		'id' => 'izl',
		'pattern' => 'http://(?:www\.)?izlesene\.com/(?:player2\.swf\?video=|video/[\w-]*?/)(\d{1,10})',
		'movie' => 'http://www.izlesene.com/player2.swf?video=$2',
		'size' => array(425, 355),
		'fix-html-pattern' => '(?:<div style="width:465px;">)?<embed src="$1"[^<>]*?"></embed>(?:<div style="background:#000000; padding:7px 0px  7px 7px;">.*?</div></div>)?',
		'fix-html-url' => 'http://www.izlesene.com/player2.swf?video=$2',
	),
	array(
		'id' => 'jok',
		'pattern' => 'http://(?:www\.)?jokeroo\.com/(auto|educational|financial|health|howto|lawyers|politics|travel|extremesports|funnyvideos)/((?:[0-9a-z]*?/){0,3})?(\w*?)\.htm',
		'movie' => 'http://www.jokeroo.com/promotional_player2.swf?channel&vid=http://uploads.filecabin.com/flash/$4.flv&vid_url=http://www.jokeroo.com/$2/$3$4.html&adv_url',
		'size' => array(490, 425),
		'fix-html-pattern' => '<object classid[^<>]*?><PARAM NAME=allowFlashAutoInstall VALUE=true><param name=Flashvars value="channel=Funny_Videos&(?:amp;)?vid=http://uploads\.filecabin\.com/flash/\w*?\.flv&(?:amp;)?vid_url=$1[^<>]*?>.*?</object>',
	),
	array(
		'id' => 'joost',
		'pattern' => 'http://(?:www\.)?joost\.com/([^/]+)/t/',
		'movie' => 'http://www.joost.com/embed/$2',
		'size' => array(640, 360),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.joost\.com/embed/([^/]+)">(?:.*?)</object>',
		'fix-html-url' => 'http://www.joost.com/$1/t/',
	),
	array(
		'id' => 'juv',
		'pattern' => 'http://(?:www\.)?jujunation.com/viewVideo\.php\?video_id=(\d{1,10})',
		'movie' => 'http://www.jujunation.com/flvplayer.swf?config=http://www.jujunation.com/videoConfigXmlCode.php?pg=video_$2_no_0',
		'size' => array(450, 370),
		'fix-html-pattern' => '<embed src="http://www\.jujunation\.com/flvplayer_elite\.swf" FlashVars="config=http://www\.jujunation\.com/videoConfigXmlCode\.php\?pg=video_(\d{1,10})[^<>]*?>',
		'fix-html-url' => 'http://www.jujunation.com/viewVideo.php?video_id=$1',
	),
	array(
		'id' => 'jmp',
		'pattern' => 'http://(?:www\.)?jumpcut\.com/(?:view(?:/)?|media/flash/jump\.swf)\?id=([0-9a-f]{32})',
		'movie' => 'http://www.jumpcut.com/media/flash/jump.swf?id=$2&asset_type=movie&asset_id=$2&eb=1',
		'size' => array(408, 324),
		'fix-html-pattern' => '<embed src="$1[^<>]*?></embed>',
		'fix-html-url' => 'http://www.jumpcut.com/view/?id=$2',
	),
	array(
		'id' => 'kal',
		'pattern' => '(?:http://[^"]*?kaltura\.com/(?:index\.php/)?kwidget/wid/([\w-]+)|http://[^#"]*?#kaltura#id(\w+))',
		'movie' => 'http://www.kaltura.com/kwidget/wid/$2$3',
		'size' => array(400, 300),
		'show-link' => true,
		'fix-html-pattern' => '<object name="kaltura_player_\d+" id="kaltura_player_\d+" [^>]*height="(\d+)" width="(\d+)" data="(http://[^"]*?kaltura\.com/(?:index\.php/)?kwidget/wid/[\w-]+)">.*?</object>',
		'fix-html-url' => '$3#kaltura-w$1-h$2',
		'lookup-url' => 'http://[^#">]+#kaltura',
		'lookup-pattern' => array('id' => 'kwidget/wid/(\w+)', 'w' => 'kwidget/wid/\w+", "[^"]*?player[^"]*", "(\d+)"', 'h' => '"[^"]*?player[^"]*", "\d+", "(\d+)"'),
		'lookup-skip-empty' => true,
	),
	array(
		'id' => 'kor',
		'pattern' => 'http://(?:www\.)?koreus\.com/video/([0-9a-z-]{1,50})(?:\.html)?',
		'movie' => 'http://www.koreus.com/video/$2',
		'size' => array(400, 320),
		'fix-html-pattern' => '(?:<div>)<object type="application/x-shockwave-flash" data="$1"[^>]*>.*?</object>(?:<br /><a href="http://www\.koreus\.com/video/.*?</a> - <a.*?</a></div>)?',
		'fix-html-url' => 'http://www.koreus.com/video/$2.html',
	),
	array(
		'id' => 'lav',
		'pattern' => 'http://(?:www\.)?(?:last\.fm|lastfm\.[a-z]{2})/music/([^/"\?]+)/\+videos/(\d{2,20})',
		'movie' => 'http://cdn.last.fm/videoplayer/33/VideoPlayer.swf?title=$2&uniqueName=$3&autoStart=false',
		'size' => array(340, 289),
		'show-link' => true,
		'lookup-title' => '<div id="content">.*?<h1[^>]*>(.*?)</h1>',
	),
	array(
		'id' => 'layt',
		'pattern' => 'http://(?:www\.)?(?:last\.fm|lastfm\.[a-z]{2})/music/[^/"\?]+/\+videos/\+1-([\w-]{11})',
		'movie' => 'http://www.youtube.com/v/$2&rel=0&fs=1',
		'size' => array(425, 344),
		'show-link' => true,
		'lookup-title' => '<div id="content">.*?<h1[^>]*>(.*?)</h1>',
	),
	array(
		'id' => 'lib',
		'pattern' => 'http://video\.libero\.it/app/play(?:/index.html)?\?[^"]*?id=([a-f0-9]{32})',
		'movie' => 'http://video.libero.it/static/swf/eltvplayer.swf?id=$2.flv&ap=0',
		'size' => array(400, 333),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://video\.libero\.it/static/swf/eltvplayer\.swf\?id=([a-f0-9]{32})\.flv[^"]*" />.*?</object>',
		'fix-html-url' => 'http://video.libero.it/app/play?id=$1',
	),
	array(
		'id' => 'liv',
		'pattern' => 'http://(?:www\.)?liveleak\.com/(?:player.swf?autostart=false&(?:amp;)?token=|view\?[^"]*?i=|e/)([0-9a-z]{3}_[0-9a-z]{10})',
		'movie' => 'http://www.liveleak.com/e/$2',
		'size' => array(450, 370),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="wmode" value="transparent"></param><embed src="$1"[^<>]*?></embed></object>',
		'fix-html-url' => 'http://www.liveleak.com/view?i=$2',
	),
	array(
		'id' => 'lvv',
		'pattern' => 'http://(?:www\.)?livevideo\.com/(?:flvplayer/embed/|video/(?:view/)?(?:[^"]*?/)?)([0-9a-f]{32})',
		'movie' => 'http://www.livevideo.com/flvplayer/embed/$2',
		'size' => array(445, 369),
		'fix-html-pattern' => '(?:<div>)?<embed src="$1" type="application/x-shockwave-flash" quality="high" WIDTH="\d*" HEIGHT="\d*" wmode="transparent"></embed>(?:<br/><a href="$1">[^<>]*?</a></div>)?',
		'fix-html-url' => 'http://www.livevideo.com/video/$2/.aspx',
	),
	array(
		'id' => 'mac',
		'pattern' => 'http://(?:www\.)?machinima\.com/(?:film/view&(?:amp;)?id=|#details_)(\d{1,8})(?:_contents)?',
		'movie' => 'http://www.machinima.com/_flash_media_player/mediaplayer.swf?file=http://machinima.com/p/$2',
		'size' => array(400, 300),
	),
	array(
		'id' => 'man',
		'pattern' => 'http://(?:www\.)?machinima\.com:80/f/([0-9a-f]{32})',
		'movie' => 'http://machinima.com:80/_flash_media_player/mediaplayer.swf?file=http://machinima.com:80/f/$2',
		'size' => array(400, 300),
		'fix-html-pattern' => '<embed src="http://machinima.com:80/_flash_media_player/mediaplayer.swf" width="\d*" height="\d*" flashvars="&file=$1&height=\d*&width=\d*" />',
	),
	array(
		'id' => 'mai',
		'pattern' => 'http://video\.mail\.ru/mail/([\w-]*?)/(\d{1,4})/(\d{1,4})\.html',
		'movie' => 'http://img.mail.ru/r/video2/player_v2.swf?par=http://content.video.mail.ru/mail/$2/$3/\$$4&page=1&username=$2&albumid=$3&id=$4',
		'size' => array(452, 385),
		'fix-html-pattern' => '(?:<lj-embed>\s)?\<object [^>]*><param [^>]*><param name="movie"[^<>]*?username=([\w-]*?)&albumid=(\d{1,4})&id=(\d{1,4})&[^<>]*?/>.*?</object>(?:</lj-embed>)?',
		'fix-html-url' => 'http://video.mail.ru/mail/$1$4/$2$5/$3$6.html',
	),
	array(
		'id' => 'mil',
		'pattern' => '(http://video\.milliyet\.com\.tr/m\.swf\?id=\d{1,12}&(?:amp;)?tarih=\d{4}/\d{2}/\d{1,2})',
		'movie' => '$2',
		'size' => array(340, 325),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">.*?</object>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://video\.milliyet\.com\.tr/default\.asp\?id=\d{1,12}',
		'lookup-pattern' => 'FlashObject\("m\.swf\?(id=\d{1,12}&(?:amp;)?tarih=\d{4}/\d{2}/\d{1,2})",',
		'lookup-final-url' => 'http://video.milliyet.com.tr/m.swf?$1',
	),
	array(
		'id' => 'mof',
		'pattern' => 'http://(?:www\.|tv\.)?mofile\.com/([0-9a-z]{8})',
		'movie' => 'http://tv.mofile.com/cn/xplayer.swf?v=$2',
		'size' => array(480, 409),
		'fix-html-pattern' => '<object [^>]*><param name="allowScriptAccess" value="sameDomain"><param name="movie" value="http://tv\.mofile\.com/cn/xplayer\.swf"><param name="FlashVars" value="v=([0-9a-z]{8})&p=[^<>]*?>.*?</object>',
		'fix-html-url' => 'http://tv.mofile.com/$1',
	),
	array(
		'id' => 'mog',
		'pattern' => 'http://(?:www\.)?(?:mogulus|livestream)\.com/(\w+)/?(?:(?:ondemand/pla_|#id)(\d+))?',
		'movie' => 'http://static.mogulus.com/grid/PlayerV2.swf?channel=$2&contentId=(pla_$3|null)&layout=playerEmbedDefault&backgroundColor=0xffffff&backgroundAlpha=1&backgroundGradientStrength=0&chromeColor=0x0000ff&headerBarGlossEnabled=true&controlBarGlossEnabled=true&chatInputGlossEnabled=false&uiWhite=true&uiAlpha=0.5&uiSelectedAlpha=1&cornerRadius=10&showViewers=true&embedEnabled=true&chatEnabled=true&onDemandEnabled=true&fullScreenEnabled=true&initialIsOn=false&initialIsMute=false&initialVolume=10&initThumbUrl=null&playeraspectwidth=4&playeraspectheight=3&mogulusLogoEnabled=true',
		'size' => array(400, 400),
		'show-link' => true,
		'fix-html-pattern' => '(?:<object [^>]+><param name="movie" value="http://static\.livestream\.com/[^"]+channel=(\w+)[^"]*&contentId=(?:pla_)?(null|\d+)[^>]*>.*?</object>|<script src="http://static\.livestream\.com/[^"]+channel=(\w+)[^"]*&contentId=(?:pla_)?(null|\d+)[^>]+></script>)',
		'fix-html-url' => 'http://www.livestream.com/$1$3/id$2$4',
		'lookup-title' => '<title>Livestream - (.*?)</title>',
	),
	array(
		'id' => 'mot',
		'pattern' => 'http://(?:www\.)?motionbox\.com/videos/([0-9a-f]+)',
		'movie' => 'http://www.motionbox.com/external/hd_player/type%3Dsd%2Cvideo_uid%3D$2',
		'size' => array(416, 312),
		'show-link' => true,
		'fix-html-pattern' => '<embed src="http://www\.motionbox\.com/external/hd_player/type%3Dsd%2Cvideo_uid%3D([0-9a-f]+)"[^>]*></embed>',
		'fix-html-url' => 'http://www.motionbox.com/videos/$1',
	),
	array(
		'id' => 'mpo',
		'pattern' => 'http://video\.mpora\.com/watch/(\w{9})',
		'movie' => 'http://video.mpora.com/ep/$2/',
		'size' => array(425, 350),
	),
	array(
		'id' => 'mpotv',
		'pattern' => 'http://tv\.mpora\.com/watch/(\w{9})',
		'movie' => 'http://tv.mpora.com/ep/$2/vod/',
		'size' => array(480, 309),
		'show-link' => true,
	),
	array(
		'id' => 'mtv',
		'pattern' => 'http://(?:www\.)?mtvu\.com/video/\?id=(\d{1,9})[^"]*?vid=(\d{1,9})',
		'movie' => 'http://www.mtvu.com/player/embed/?CONFIG_URL=http://www.mtvu.com/player/embed/configuration.jhtml%3Fid%3D$2%26vid%3D$3',
		'size' => array(423, 318),
		'show-link' => true,
		'fix-html-pattern' => '<embed src="http://www\.mtvu\.com/player/embed/"[^>]*configuration\.jhtml%3Fid%3D(\d{1,9})%26vid%3D(\d{1,9})&[^>]*></embed>',
		'fix-html-url' => 'http://www.mtvu.com/video/?id=$1&vid=$2',
	),
	array(
		'id' => 'mult',
		'pattern' => 'http://([\w-]+).multiply.com/video/item/(\d+)/[\w-]*?',
		'movie' => 'http://images.multiply.com/multiply/multv.swf?first_video_id=$2:video:$3&base_uri=multiply.com&is_owned=1',
		'size' => array(480, 420),
		'show-link' => true,
		'lookup-title' => '<a rel=\'bookmark\' [^>]+>(.*?)</a>',
		'fix-html-pattern' => '<embed src="http://images.multiply.com/multiply/multv.swf" type="application/x-shockwave-flash" width="480" height="420" FLASHVARS="first_video_id=coolcarla:video:4&base_uri=multiply.com&is_owned=1&security=GvrZQap9uCQzopYZcanUeg" allowfullscreen="true" wmode="transparent" quality="high"></embed>',
		'fix-html-url' => 'http://www.musopen.com/membed.php?id=$1',
	),
	array(
		'id' => 'myn',
		'pattern' => 'http://video\.eksenim\.mynet\.com/[\w-]*?/[\w-]*?/(\d{1,12})/',
		'movie' => 'http://video.eksenim.mynet.com/flvplayers/vplayer9.swf?videolist=http://video.eksenim.mynet.com/batch/video_xml_embed.php?video_id=$2',
		'size' => array(400, 334),
		'fix-html-pattern' => '<embed[^<>]*?FlashVars="videolist=http://video\.eksenim\.mynet\.com/batch/video_xml_embed\.php\?video_id=(\d*?)" width="\d*" height="\d*" />',
		'fix-html-url' => 'http://video.eksenim.mynet.com/xxx/xxx/$1/',
	),
	array(
		'id' => 'myso',
		'pattern' => '(http://(?:www\.)?mysoccermedia\.com/videos/[0-9a-f]{14,16}\.flv)',
		'movie' => 'http://mysoccermedia.com/soccer_pl2_playBt.swf?video_flv=$2',
		'size' => array(443, 310),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://(?:www\.)?mysoccermedia\.com/soccer_pl5_bt\?video_flv=(http://(?:www\.)?mysoccermedia\.com/videos/[0-9a-f]{14,16}\.flv)" />.*?</object>',
		'lookup-url' => 'http://(?:www\.)?mysoccermedia\.com/(?:index\.php)?\?module=(?:detail|video)&video_id=\d{1,10}',
		'lookup-pattern' => '(http://mysoccermedia\.com/videos/[0-9a-f]{14,16}\.flv)',
	),
	array(
		'id' => 'myc',
		'pattern' => '(http://www\.seehaha\.com/flash/player\.swf\?vidFileName=\d*\.flv)',
		'movie' => '$2',
		'size' => array(425, 350),
		'lookup-url' => 'http://(?:www\.)?myshows\.cn/myplayvideo\.aspx\?vid=\d{1,10}',
		'lookup-pattern' => '<embed src="(http://www\.seehaha\.com/flash/player\.swf\?vidFileName=\d*\.flv)"',
	),
	array(
		'id' => 'mytara',
		'pattern' => 'http://www\.mytaratata\.com/Pages/VIDEO_page_video\.aspx?[^"]*?sig=([\w-]{12})',
		'movie' => 'http://www.kewego.com/swf/p3/epix.swf?language_code=fr&playerKey=5861a1b51db9&skinKey=&sig=$2&autostart=false',
		'size' => array(400, 300),
		'show-link' => true,
	),
	array(
		'id' => 'myv',
		'pattern' => 'http://(?:www\.)?myvideo\.(at|be|ch|de|nl)/(?:watch|movie)/(\d{1,8})',
		'movie' => 'http://www.myvideo.$2/movie/$3',
		'size' => array(470, 406),
		'fix-html-pattern' => '<object [^>]*data=\'$1\'>.*?</object>(?:<br/><a href=\'$1\' title=\'[^\'<>]*?\'>[^<>]*?</a>)?',
		'fix-html-url' => 'http://www.myvideo.$2/watch/$3',
	),
	array(
		'id' => 'myi',
		'pattern' => '(http://(?:www\.)?myvi\.ru/ru/flash/player/[\w-]{45})',
		'movie' => '$2',
		'size' => array(450, 418),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" /><param name="wmode" value="window" /><param name="allowFullScreen" value="true" /><embed[^<>]*?></embed></object>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)?myvi\.ru/ru/videodetail\.aspx\?video=[\w-]{32}&(?:amp;)?ap=\d',
		'lookup-pattern' => '&lt;param name=&quot;movie&quot; value=&quot;(http://(?:www\.)?myvi\.ru/ru/flash/player/[\w-]{45})&quot; />',
	),
	array(
		'id' => 'mth',
		'pattern' => 'http://video\.mthai\.com/player\.php\?[^"]*?id=([0-9a-z]{14,20})',
		'movie' => 'http://video.mthai.com/Flash_player/player.swf?idMovie=$2',
		'size' => array(407, 342),
		'fix-html-pattern' => '<object classid[^<>]*?><param name="movie" value="http://video\.mthai\.com/Flash_player/player\.swf\?idMovie=([0-9a-z]{14,20})"></param><embed [^<>]*?></embed></object>(?:<br><font size=1>.*?</font><br>)?',
		'fix-html-url' => 'http://video.mthai.com/player.php?id=$1',
	),
	array(
		'id' => 'nha',
		'pattern' => 'http://(?:www\.)?nhaccuatui\.com/(?:nghe\?M=|m/)([\w-]{10})',
		'movie' => 'http://www.nhaccuatui.com/m/$2',
		'size' => array(300, 270),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1" /><param name="quality" value="high" /><param name="wmode" value="transparent" /><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://www.nhaccuatui.com/nghe?M=$2',
	),
	array(
		'id' => 'offu',
		'pattern' => 'http://(?:www\.)?offuhuge\.com/media/([^/]+)',
		'movie' => 'http://www.offuhuge.com/Main.swf?conf=http://www.offuhuge.com/flv_player/data/playerConfigEmbed/$2.xml&guide=http://www.offuhuge.com/flv_player/data/guide/$2.xml',
		'size' => array(464, 353),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'http://www\.offuhuge\.com/Main\.swf\' /> <param name=\'FlashVars\' value=\'conf=http://www\.offuhuge\.com/flv_player/data/playerConfigEmbed/([^.]+)\.xml(?:.*?)</a>',
		'fix-html-url' => 'http://www.offuhuge.com/media/$1/',
	),
	array(
		'id' => 'oni',
		'pattern' => 'http://(?:www\.)?theonion\.com/content/video/\w+#id(\d+)',
		'movie' => 'http://www.theonion.com/content/themes/common/assets/onn_embed/embedded_player.swf?image=http%3A%2F%2Fwww.theonion.com%2Fcontent%2Fthemes%2Fonion%2Fonn%2Fimages%2Fonn_banner.png&videoid=$2',
		'size' => array(480, 430),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]+>(?:<param [^>]+>)+<embed [^>]+http://www\.theonion\.com/[^>]+videoid=(\d+)[^>]+></embed></object><br /><a href="(http://www\.theonion\.com/content/video/\w+)">.*?</a>',
		'fix-html-url' => '$2#id$1',
		'lookup-title' => '<title>(.*?)(?:\|\s+The Onion|</title>)',
		'lookup-url' => 'http://(?:www\.)?theonion\.com/content/video/\w+',
		'lookup-pattern' => array('id' => '<meta name="nid" content="(\d+)" />'),
	),
	array(
		'id' => 'ons',
		'pattern' => 'http://(?:www\.|videos\.)?onsmash\.com/(?:v|e)/([0-9a-z]{16})',
		'movie' => 'http://videos.onsmash.com/e/$2',
		'size' => array(448, 374),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="allowFullscreen" value="true"></param><embed [^<>]*?></embed></object>',
		'fix-html-url' => 'http://videos.onsmash.com/v/$2',
	),
	array(
		'id' => 'pik',
		'pattern' => 'http://(?:www\.)?pikniktube\.com/(?:v/|[^"]*?\?q=)([0-9a-f]{32})',
		'movie' => 'http://www.pikniktube.com/player/videoplayer2.swf?linktarget=_blank&embedded=1&xmlsrc=http://www.pikniktube.com/getxmle.asp?q=$2&a=1&c=0',
		'size' => array(340, 320),
		'fix-html-pattern' => '<object [^>]*><param [^>]*xmlsrc=http://www\.pikniktube\.com/getxmle\.asp\?q=([0-9a-f]{32})[^"]*">.*?</object>',
		'fix-html-url' => 'http://www.pikniktube.com/v/$1/',
	),
	array(
		'id' => 'put',
		'pattern' => 'http://(?:www\.|media\.|feat\.)?putfile\.com/(?:flow/putfile\.swf\?videoFile=|)?([\w-]*)(?:\?)?',
		'movie' => 'http://feat.putfile.com/flow/putfile.swf?videoFile=$2',
		'size' => array(425, 345),
		'fix-html-pattern' => '(?:<div align="center">)?\s{0,5}<object [^>]*data="$1"[^>]*>.*?</object>(?:<br><a href="http://media\.putfile\.com/.*?</a></div>)?',
		'fix-html-url' => 'http://media.putfile.com/$2?pos=home',
	),
	array(
		'id' => 'ram',
		'pattern' => 'http://vision\.rambler\.ru/(?:i/e\.swf\?id=|users/)([\w-]/\d*/\d*)',
		'movie' => 'http://vision.rambler.ru/i/e.swf?id=$2&logo=1',
		'size' => array(390, 370),
		'fix-html-pattern' => '<object classid[^<>]*?><param name="wmode" value="transparent"></param><param name="movie" value="$1" /><embed[^<>]*?/></object>',
		'fix-html-url' => 'http://vision.rambler.ru/users/$2/',
	),
	array(
		'id' => 'raw',
		'pattern' => 'http://(?:www\.)?rawvegas\.tv/watch\.php\?vID=([0-9a-f]{30})',
		'movie' => 'http://www.rawvegas.tv/ext.php?uniqueVidID=$2',
		'size' => array(427, 300),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.rawvegas\.tv/ext\.php\?uniqueVidID=([0-9a-f]{30})">.*?</object>',
		'fix-html-url' => 'http://www.rawvegas.tv/watch.php?vID=$1',
	),
	array(
		'id' => 'rev',
		'pattern' => 'http://(?:one\.|www\.)?revver\.com/(?:watch|video)/(\d{1,8})',
		'movie' => 'http://flash.revver.com/player/1.0/player.swf?mediaId=$2',
		'size' => array(480, 392),
		'fix-html-pattern' => '(?:<script src="http://flash\.revver\.com/player/1\.0/player\.js\?mediaId\:(\d{1,8})[^<>]*?></script\>|\<object [^>]*data="http://flash\.revver\.com/player/1\.0/player\.swf\?mediaId=(\d{1,8})".*?</object>)',
		'fix-html-url' => 'http://revver.com/video/$1$2/',
	),
	array(
		'id' => 'rut',
		'pattern' => 'http://(?:www\.|video\.)?rutube\.ru/(?:tracks/\d+?\.html\?(?:(?:pos|related)=1&(?:amp;)?)?v=)?([0-9a-f]{32})',
		'movie' => 'http://video.rutube.ru/$2',
		'size' => array(470, 353),
		'fix-html-pattern' => '<OBJECT width="\d*?" height="\d*?"><PARAM name="movie" value="$1">.*?</OBJECT>',
	),
	array(
		'id' => 'sev',
		'pattern' => 'http://((?:en|tr|de|www)\.)?sevenload\.com/(?:videos|videolar)/([0-9a-z]{1,8})',
		'movie' => 'http://$2sevenload.com/pl/$3/425x350/swf',
		'size' => array(425, 350),
		'fix-html-pattern' => '(?:(?:<script type="text/javascript" src="http://((?:en|tr|de|www)\.|)?sevenload\.com/pl/([0-9a-z]{1,8})/[^"]*"></script>(?:<p>[^<>]*?<a href="http://[^<>]*?>(?:<img)?[^<>]*?(?:\/>)?</a></p>)?)|(?:<object type="application/x-shockwave-flash" data="http://((?:en|tr|de|www)\.|)?sevenload\.com/pl/([0-9a-z]{1,8})/[^"]*" [^>]*>.*?</object>(?:<p>[^<>]*?<a href="[^<>]*?>[^<>]*?</a></p>)?))',
		'fix-html-url' => 'http://$1$3sevenload.com/videos/$2$4',
	),
	array(
		'id' => 'shavi',
		'pattern' => 'http://(?:www\.)?shareview\.us/view/(\d{1,10})/',
		'movie' => 'http://www.shareview.us/player/player.swf?file=http://www.shareview.us/flvideo/$2.flv&image=http://www.shareview.us/thumb/$2.jpg&logo=http://www.shareview.us/templates/images/watermark.gif&link=http://www.shareview.us',
		'size' => array(425, 350),
		'fix-html-pattern' => '<object [^>]*data="http://www\.shareview\.us/player/player\.swf">.*?http://www\.shareview\.us/flvideo/(\d{1,10})\.flv[^<>]*?></object>',
		'fix-html-url' => 'http://www.shareview.us/view/$1/',
	),
	array(
		'id' => 'shark',
		'pattern' => '(http://(?:www\.)?sharkle\.com/externalPlayer/(?:[0-9a-z]{1,25}/){3})',
		'movie' => '$2',
		'size' => array(340, 310),
		'show-link' => true,
		'fix-html-pattern' => '<embed src=$1 wmode=transparent width=\d* height=\d* type=application/x-shockwave-flash></embed>',
		'lookup-url' => 'http://(?:www\.)?sharkle\.com/video/\d{1,10}',
		'lookup-pattern' => '<embed src=(http://(?:www\.)?sharkle\.com/externalPlayer/(?:[0-9a-z]{1,25}/){3})',
	),
	array(
		'id' => 'yvs',
		'pattern' => 'http://(?:vhead\.blog|you\.video)\.sina\.com\.cn/(?:player/[^"]*?vid=|b/)(\d{5,12})(?:-|&(?:amp;)?uid=)(\d{5,12})',
		'movie' => 'http://vhead.blog.sina.com.cn/player/outer_player.swf?auto=0&vid=$2&uid=$3',
		'size' => array(480, 370),
		'fix-html-pattern' => '(?:<div>)<object id="ssss" width="\d*" height="\d*" ><param name="allowScriptAccess" value="always" /><embed[^<>]*?src="$1" [^<>]*?></embed></object>(?:</div>)?',
		'fix-html-url' => 'http://you.video.sina.com.cn/b/$2-$3.html',
	),
	array(
		'id' => 'smo',
		'pattern' => 'http://(?:www\.)?smotri\.com/video/view/\?id=v([0-9a-f]{10})',
		'movie' => 'http://pics.smotri.com/scrubber_custom8.swf?file=v$2&bufferTime=3&autoStart=false&str_lang=eng&xmlsource=http%3A%2F%2Fpics.smotri.com%2Fcskins%2Fblue%2Fskin_color_lightaqua.xml&xmldatasource=http%3A%2F%2Fpics.smotri.com%2Fskin_ng.xml',
		'size' => array(400, 330),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://pics\.smotri\.com/scrubber_custom8\.swf\?file=v([0-9a-f]{10})[^<>]*?>.*?</object>(?:<div style="margin-left: 9px;.*?</div>)?',
		'fix-html-url' => 'http://www.smotri.com/video/view/?id=v$1',
	),
	array(
		'id' => 'sno',
		'pattern' => 'http://(?:www\.|videos\.)?snotr\.com/(?:player\.swf\?video=|)?(?:video|embed)/(\d{1,8})',
		'movie' => 'http://www.snotr.com/player.swf?v6&video=$2&embedded=true&autoplay=false',
		'size' => array(400, 330),
		'fix-html-pattern' => '<iframe src="$1"[^<>]*?></iframe>',
		'fix-html-url' => 'http://www.snotr.com/video/$2',
	),
	array(
		'id' => 'sou',
		'pattern' => 'http://(?:www\.)?southparkstudios\.com/clips/(\d{1,10})',
		'movie' => 'http://media.mtvnservices.com/mgid:cms:item:southparkstudios.com:$2:',
		'size' => array(480, 360),
		'fix-html-pattern' => '<embed src="http://media\.mtvnservices\.com/mgid:cms:item:southparkstudios\.com:(\d+)[^>]*></embed>',
		'fix-html-url' => 'http://www.southparkstudios.com/clips/$1',
		'lookup-title' => '<h1>(.*?)</h1>',
	),
	array(
		'id' => 'spa',
		'pattern' => 'http://((?:[a-z0-9]{1,10}\.){0,2})?cctv\.com/act/video\.jsp\?videoId=VIDE(\d{16})',
		'movie' => 'http://$2cctv.com/playcfg/player_new.swf?id=VIDE$3&site=http://$2cctv.com&method=http',
		'size' => array(500, 400),
	),
	array(
		'id' => 'spi',
		'pattern' => 'http://(?:www\.)?spike\.com/(?:video/(?:[\w-]{2,30})?/|efp\?flvbaseclip=)(\d{4,12})',
		'movie' => 'http://www.spike.com/efp?flvbaseclip=$2&',
		'size' => array(448, 365),
		'fix-html-pattern' => '<embed [^>]name=\'efp\'[^>]*flashvars=\'flvbaseclip=(\d{4,12})&.*?</embed>(?:\s{0,3}<br />\s{0,3}<a href=\'http://www\.spike\.com/[^<>]*?>[^<>]*?</a>)?',
		'fix-html-url' => 'http://www.spike.com/video//$1',
	),
	array(
		'id' => 'str',
		'pattern' => 'http://(?:www\.|videos\.)?streetfire\.net/(?:vidiac\.swf\?video=|video/)([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})(?:\.htm)?',
		'movie' => 'http://videos.streetfire.net/vidiac.swf?video=$2',
		'size' => array(428, 352),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1.*?</object>',
		'fix-html-url' => 'http://videos.streetfire.net/video/$2.htm',
		'lookup-url' => 'http://(?:www\.|videos\.)?streetfire\.net/video/[0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12}[\w-]*?\.htm',
		'lookup-pattern' => '<link rel="video_src" href="http://videos\.streetfire\.net/vidiac\.swf\?video=([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})" />',
		'lookup-final-url' => 'http://videos.streetfire.net/video/$1.htm',
		'lookup-title' => true,
	),
	array(
		'id' => 'stu',
		'pattern' => 'http://(?:www\.|images\.)?stupidvideos\.com/(?:video/[^"\#]*?\#|images/player/player\.swf\?sa=1&(?:amp;)?sk=7&(?:amp;)?si=2&(?:amp;)?i=)(\d{1,10})',
		'movie' => 'http://images.stupidvideos.com/images/player/player.swf?sa=1&sk=7&si=2&i=$2',
		'size' => array(451, 433),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://images\.stupidvideos\.com/images/player/player\.swf\?sa=1&(?:amp;)?sk=\d&(?:amp;)?si=\d&(?:amp;)?i=(\d{1,10})"></param><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://images.stupidvideos.com/images/player/player.swf?sa=1&sk=7&si=2&i=$1',
		'lookup-url' => 'http://(?:www\.)?stupidvideos\.com/video/(?:[^"\]\#]*)',
		'lookup-pattern' => 'var videoID = \'(\d{1,10})\';',
		'lookup-final-url' => '$2#$1',
	),
	array(
		'id' => 'tag',
		'pattern' => 'http://www\.tagtele\.com/(?:v/|videos/voir/)(\d{1,12})',
		'movie' => 'http://www.tagtele.com/v/$2',
		'size' => array(425, 350),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="wmode" value="transparent"></param><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://www.tagtele.com/videos/voir/$2',
	),
	array(
		'id' => 'god',
		'pattern' => 'http://(?:www\.)?tangle\.com/view_video\.php\?[^"]*?viewkey=([0-9a-f]{20})',
		'movie' => 'http://www.tangle.com/flash/swf/flvplayer.swf?viewkey=$2',
		'size' => array(330, 270),
		'show-link' => true,
		'fix-html-pattern' => '<embed src="http://tangle\.com/flvplayer\.swf" FlashVars="viewkey=([0-9a-f]{20})"[^>]*/></embed>',
		'fix-html-url' => 'http://www.tangle.com/view_video.php?viewkey=$1',
	),
	array(
		'id' => 'tmt',
		'pattern' => 'http://(?:www\.)?tm-tube\.com/video/(\d+)/',
		'movie' => 'http://www.tm-tube.com/vimp.swf?hosturl=http%3A%2F%2Fwww.tm-tube.com%2Fflashcomm.php&mediaid=$2&autolightsoff=false&webtv=false&context=embed',
		'size' => array(480, 360),
		'show-link' => true,
		'allow-script' => true,
		'fix-html-pattern' => '<script type="text/javascript" src="(http://www\.tm-tube\.com/js/embed\.js\.php\?key=[0-9a-f]+)"></script>',
		'lookup-url' => 'http://www\.tm-tube\.com/js/embed\.js\.php\?key=[0-9a-f]+(?:&width=\d+&height=\d+)?',
		'lookup-pattern' => array('id' => 'mediaid = .\'(\d+)', 'w' => 'params\.width = (\d+)', 'h' => 'params\.height = (\d+)'),
		'lookup-final-url' => 'http://www.tm-tube.com/video/$1/',
	),
	array(
		'id' => 'tra',
		'pattern' => '(http://(?:www\.)?traileraddict\.com/em[bd]/\d+)',
		'movie' => '$2',
		'size' => array(520, 317),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1">(?:</param>)?(?:<param name="[^"]+" value="[^"]+"></param>)*<embed [^>]*></embed></object>',
		'lookup-url' => 'http://(?:www\.)?traileraddict\.com/(?:trailer|clip)/[\w-]*?/[\w-]*',
		'lookup-pattern' => 'movie:"/em[bd]/(\d+)"',
		'lookup-final-url' => 'http://www.traileraddict.com/emb/$1',
		'lookup-title' => '<h1>(.*?)</h1>',
	),
	array(
		'id' => 'trt',
		'pattern' => '(http://(?:www\.)?trtube\.com/mediaplayer_\d{1,2}_\d{1,2}\.swf\?file=http://(?:www\.)?trtube\.com/(?:playlist\.php\?v=\d+|vid\d{0,2}/\d{1,10}.flv))',
		'movie' => '$2',
		'size' => array(425, 350),
		'fix-html-pattern' => '<object [^>]*>(?:<param [^>]+>)*<embed src="$1[^<>]*></object>',
		'lookup-url' => 'http://(?:www\.)?trtube\.com/izle\.php\?v=[0-9a-z]{10}',
		'lookup-pattern' => '(http://(?:www\.)?trtube\.com/mediaplayer_\d{1,2}_\d{1,2}\.swf\?file=http://(?:www\.)?trtube\.com/(?:playlist\.php\?v=\d+|vid\d{0,2}/\d{1,10}.flv))',
	),
	array(
		'id' => 'tru',
		'pattern' => 'http://(?:www\.)?trilulilu\.ro/([\w-]*?)/([0-9a-f]{14})(?:#(audio|video)?)?',
		'movie' => array('normal' => 'http://www.trilulilu.ro/embed/flash.php?type=video&hash=$3&userid=$2', 'video' => 'http://www.trilulilu.ro/embed/flash.php?type=video&hash=$3&userid=$2', 'audio' => 'http://www.trilulilu.ro/embed/flash.php?type=audio&hash=$3&userid=$2'),
		'size' => array(448, 386),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.trilulilu\.ro/embed/flash\.php\?type=video&(?:amp;)?hash=([0-9a-f]{14})&(?:amp;)?userid=([\w-]*)[^<>]*?">.*?</object>',
		'fix-html-url' => 'http://www.trilulilu.ro/$2/$1',
		'lookup-url' => 'http://(?:www\.)?trilulilu\.ro/([\w-]*?)/([0-9a-f]{14})',
		'lookup-pattern' => array('video' => 'SWFObject\("http://static\.trilulilu\.ro/flash/videoplayer\d+\.swf",', 'audio' => 'SWFObject\("http://static\.trilulilu\.ro/flash/audioplayer\d+\.swf",', 'h' => '"viewfileswfobj", "\d+", "(\d+)"'),
	),
	array(
		'id' => 'truv',
		'pattern' => '(?:http://xml\.truveo\.com/eb/i/(\d+)/a/(\w+)/p/1|http://(?:www\.)?truveo\.com/[^/]*/?id/\d+#id(\d+)-key(\w+))',
		'movie' => 'http://xml.truveo.com/eb/i/$2$4/a/$3$5/p/1',
		'size' => array(448, 386),
		'show-link' => true,
		'fix-html-pattern' => '<embed [^>]*src="(http://xml\.truveo\.com/eb/i/\d+/a/\w+/p/1)"[^>]*></embed>(?:<H1 style.*?</H1>\s*)?(?:<div style="[^>]*>.*?</div>)?',
		'lookup-url' => 'http://(?:www\.)truveo\.com/[^/]*/?id/\d+',
		'lookup-pattern' => array('id' => 'videourl = "http://xml\.truveo\.com/rd\?i=(\d+)&', 'key' => 'videourl = "http://xml\.truveo\.com/rd\?i=\d+&a=(\w+)&', 'w' => 'width="\s*(\d+)" height="\s*\d+" name="player', 'h' => 'width="\s*\d+" height="\s*(\d+)" name="player'),
	),
	array(
		'id' => 'tut',
		'pattern' => '(http://tu\.tv/tutvweb\.swf\?xtp=\d{1,10})',
		'movie' => '$2',
		'size' => array(425, 350),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://tu\.tv/[^"]*?xtp=(\d{1,10})"></param><param name="wmode" value="transparent"></param><embed[^<>]*?></embed></object>(?:<br /><a href="http://www\.tu\.tv"><img[^<>]*?></a><br />)?',
		'fix-html-url' => 'http://tu.tv/tutvweb.swf?xtp=$1',
		'lookup-url' => 'http://(?:www\.)?tu\.tv/videos/[\w-]{3,50}',
		'lookup-pattern' => '/videoFull/\?codVideo=(\d{1,10})',
		'lookup-final-url' => 'http://tu.tv/tutvweb.swf?xtp=$1',
	),
	array(
		'id' => 'tud',
		'pattern' => 'http://(?:www\.)?tudou\.com/(?:programs/view/|v/)([a-z0-9-]{1,12})',
		'movie' => 'http://www.tudou.com/v/$2',
		'size' => array(400, 300),
	),
	array(
		'id' => 'uov',
		'pattern' => 'http://videolog\.uol\.com\.br/video(?:\?|\.php\?id=)(\d{1,9})',
		'movie' => 'http://www.videolog.tv/swfs/externo_api.swf?v=$2&id_video=$2',
		'size' => array(512, 384),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'http://www\.videolog\.tv/ajax/codigoPlayer\.php\?id_video=(\d{1,10})[^<>]*?></param><embed[^<>]*?></embed></object>',
		'fix-html-url' => 'http://videolog.uol.com.br/video.php?id=$1',
	),
	array(
		'id' => 'uum',
		'pattern' => 'http://(?:www\.|pic\.)?uume\.com/play_([0-9a-z]{12})',
		'movie' => 'http://www.uume.com/v/$2_UUME',
		'size' => array(400, 342),
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'http://www\.uume\.com/v/([a-z0-9]{12})_UUME\'></param><embed [^<>]*?></embed></object>',
		'fix-html-url' => 'http://pic.uume.com/play_$1.html',
	),
	array(
		'id' => 'ust',
		'pattern' => 'http://(?:www\.)?ustream\.tv/(?:flash/live/(?:1/)?(\d+)|channel/[\w-]+/?#id(\d+))',
		'movie' => 'http://www.ustream.tv/flash/live/$2$3?viewcount=true&autoplay=false&brand=embed',
		'size' => array(400, 326),
		'show-link' => true,
		'show-flashvars' => true,
		'fix-html-pattern' => '<object [^>]*id="utv[^"]*\d+"[^>]*>(?:<param [^>]*>)*<param [^>]*?value="(http://www\.ustream\.tv/flash/live/\d+)"[^>]*?/>.*?</object>(?:<a href="http://www\.ustream\.tv/live" [^>]*>.*?</a>)?',
		'fix-html-url' => '$1',
		'lookup-url' => 'http://(?:www\.)?ustream\.tv/channel/[\w-]+/?',
		'lookup-pattern' => array('id' => 'flashvars.cid = "(\d+)"'),
		'lookup-title' => 'channelTitle="(.*?)"',
	),
	array(
		'id' => 'utu',
		'pattern' => 'http://(?:www\.)?u-tube\.ru/(?:playlist\.php\?id=|pages/video/)(\d{1,12})',
		'movie' => 'http://www.u-tube.ru/upload/others/flvplayer.swf?file=http://www.u-tube.ru/playlist.php?id=$2&width=400&height=300',
		'size' => array(400, 300),
		'show-link' => true,
		'fix-html-pattern' => '(?:<embed[^<>]*?flashvars="file=$1[^<>]*?/>|<script type="text/javascript" src="http://www\.u-tube\.ru/vs/main/js/swfobject\.js"></script><p id="player-obj">[^<>]*?<br/><br/><a href="http://www\.macromedia\.com/go/getflashplayer">[^<>]*?</a></p><script type="text/javascript">[^<>]*?$1[^<>]*?</script>)',
		'fix-html-url' => 'http://www.u-tube.ru/pages/video/$2$4/',
	),
	array(
		'id' => 'vbox7',
		'pattern' => 'http://(?:i47\.|www\.)?vbox7.com/(?:player/ext.swf\?vid=|play:)(\w{1,8})',
		'movie' => 'http://i47.vbox7.com/player/ext.swf?vid=$2',
		'size' => array(450, 403),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://(?:i47.)?vbox7.com/player/ext.swf\?vid=(\w{1,8})">.*?</object>',
		'fix-html-url' => 'http://vbox7.com/play:$1',
		'lookup-title' => '<span class="title titlenew">(.*?)</span>',
	),
	array(
		'id' => 'vij',
		'pattern' => '(http://(?:www\.)videojug\.com/film/player\?id=[0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})',
		'movie' => '$2',
		'size' => array(400, 345),
		'fix-html-pattern' => '<object classid[^<>]*?><param name="movie" value="$1" />.*?</object>(?:<br /><a href="http://www\.videojug\.com/film/[^<>]*?>[^<>]*?</a>)?',
		'lookup-url' => 'http://(?:www\.)?videojug\.com/film/[\w-]{3,50}',
		'lookup-pattern' => '(http://(?:www\.)videojug\.com/film/player\?id=[0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})',
	),
	array(
		'id' => 'sap',
		'pattern' => 'http://((?:\w{3,12}\.)*)sapo\.pt/([0-9a-z]{20})',
		'movie' => 'http://$2sapo.pt/play?file=http://$2sapo.pt/$3/mov/1',
		'size' => array(400, 322),
		'lookup-title' => true,
	),
	array(
		'id' => 'vic',
		'pattern' => 'http://(?:www\.)?vidiac\.com/video/([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})\.htm',
		'movie' => 'http://www.vidiac.com/vidiac.swf?video=$2',
		'size' => array(428, 352),
		'fix-html-pattern' => '<embed src="http://www\.vidiac\.com/vidiac\.swf" FlashVars="video=([0-9a-z]{8}(?:-[0-9a-z]{4}){3}-[0-9a-z]{12})[^<>]*?></embed>',
		'fix-html-url' => 'http://www.vidiac.com/video/$1.htm',
	),
	array(
		'id' => 'vdd',
		'pattern' => '(http://www\.viddler\.com/(?:player|simple)/[0-9a-f]{8}/)',
		'movie' => '$2',
		'size' => array(437, 288),
		'fix-html-pattern' => '<object classid[^<>]*?>(?:<param name="flashvars"[^<>]*?>)?<param name="movie" value="$1" />.*?</object>',
		'lookup-url' => 'http://(?:www\.)?viddler\.com/explore/[\w-]*?/videos/\d{1,10}',
		'lookup-pattern' => '<link\srel="video_src"\shref="(http://www\.viddler\.com/player/[0-9a-f]{8}/)"/>',
	),
	array(
		'id' => 'vho',
		'pattern' => 'http://(?:www\.)?vholdr\.com/node/([0-9]+)',
		'movie' => 'http://vholdr.com/videoPlayer/player.swf?height=360&width=638&fullscreen=true&autostart=false&file=http://vholdr.com/xspf/node/$1',
		'size' => array(638, 360),
		'show-link' => true,
		'lookup-title' => true,
		'lookup-url' => 'http://(?:www\.)?vholdr\.com/video/[^"]+',
		'lookup-pattern' => '/fivestar/vote/node/(\d+)',
		'lookup-final-url' => 'http://vholdr.com/node/$1',
		'fix-html-pattern' => '<embed [^>]+http://vholdr\.com/xspf/node/(\d+)[^>]+>',
		'fix-html-url' => 'http://vholdr.com/node/$1',
	),
	array(
		'id' => 'videa',
		'pattern' => 'http://(?:www\.)?videa\.hu/(?:(?:[^"]*)-|flvplayer\.swf\?v=)([0-9a-z]{16})',
		'movie' => 'http://videa.hu/flvplayer.swf?v=$2',
		'size' => array(434, 357),
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'$1\' /><embed[^<>]*?/></object>(?:<br /><a[^<>]*?>[^<>]*?</a>)?',
	),
	array(
		'id' => 'vin',
		'pattern' => '(http://(?:www\.)?videonuz\.com/videonuz\.swf\?videoLink=video_[0-9a-z]{8,12}\.flv&(?:amp;)?resim=video_([0-9a-z]{8,12})\.(?:jpg|gif))',
		'movie' => '$2',
		'size' => array(400, 325),
		'fix-html-pattern' => '<object[^<>]*?><param name="movie" value="$1"><embed[^<>]*?></object>',
		'fix-html-url' => '$2',
		'lookup-url' => 'http://(?:www\.)videonuz\.com/(?:medyaizle\.php\?haber_id=)?(\d{1,12})',
		'lookup-actual-url' => 'http://www.videonuz.com/medyaizle.php?haber_id=$1',
		'lookup-pattern' => '<param name="movie" value="(http://(?:www\.)?videonuz\.com/videonuz\.swf\?videoLink=video_[0-9a-z]{8,12}\.flv&(?:amp;)?resim=video_([0-9a-z]{8,12})\.(?:jpg|gif))">',
	),
	array(
		'id' => 'vil',
		'pattern' => '(http://(?:www\.)?vidilife\.com/flash/flvplayer\.swf\?xml=http://(?:www\.)?vidilife\.com/media/play_flash_xml\.cfm\?id=[0-9a-f]{8}(?:-[0-9a-f]{4}){3}-[0-9a-f])',
		'movie' => '$2',
		'size' => array(445, 363),
		'fix-html-pattern' => '(?:<table[^<>]*?><tr><td>)?<embed[^<>]*?src=\'http://www\.vidilife\.com/flash/flvplayer\.swf\?xml=http%3A%2F%2Fwww%2EvidiLife%2Ecom%2Fmedia%2Fplay%5Fflash%5Fxml%2Ecfm%3Fid%3D([0-9a-f]{8})%252D([0-9a-f]{4})%252D([0-9a-f]{4})%252D([0-9a-f]{4})%252D([0-9a-f]{1})%26f%3Dflash8%26embed%3Dtrue\'[^<>]*?></embed>(?:<img[^<>]*?></td></tr><tr><td align=\'right\'><strong><a[^<>]*?>[^<>]*?</a></strong></td></tr></table>)?',
		'fix-html-url' => 'http://www.vidilife.com/flash/flvplayer.swf?xml=http://www.vidilife.com/media/play_flash_xml.cfm?id=$1-$2-$3-$4-$5',
		'lookup-url' => 'http://(?:www\.)?vidilife\.com/video_play_\d{1,10}_[\w-]*?\.htm',
		'lookup-pattern' => 'src=\'(http://www\.vidilife\.com/flash/flvplayer\.swf\?xml=http%3A%2F%2Fwww%2EvidiLife%2Ecom%2Fmedia%2Fplay%5Fflash%5Fxml%2Ecfm%3Fid%3D[0-9a-f]{8}%252D[0-9a-f]{4}%252D[0-9a-f]{4}%252D[0-9a-f]{4}%252D[0-9a-f]%26f%3Dflash8%26embed%3Dtrue)\'',
		'lookup-urldecode' => true,
	),
	array(
		'id' => 'vim',
		'pattern' => 'http://(www\.)?vidmax\.com/(?:index\.php/)?videos?/(?:view/)?(\d{1,10})',
		'movie' => 'http://$2vidmax.com/player/flvplayer_NOLOGO.swf?file=http://$2vidmax.com/media/video/$3.flv&autostart=false&repeat=false&bufferlength=5&backcolor=0x000000&frontcolor=0xCCCCCC',
		'size' => array(400, 300),
		'fix-html-pattern' => '<embed[^<>]*?flashvars="xml=http://vidmax\.com/index\.php/videos/playlist/&(?:amp;)?id=(\d{1,10})[^<>]*?>',
		'fix-html-url' => 'http://www.vidmax.com/video/$1/',
	),
	array(
		'id' => 'viv',
		'pattern' => 'http://www\.vidivodo\.com/VideoPlayerShare\.swf\?lang=([0-9a-z]*?)&(?:amp;)?vidID=(\d*?)&(?:amp;)?vCode=v(\d*?)&(?:amp;)?dura=(\d*?)&(?:amp;)?File=(?:http://video\d*\.vidivodo\.com/)?(vidservers/server\d*/videos/\d{4}/\d{2}/\d{2}/\d*/v\d*\.flv)',
		'movie' => 'http://www.vidivodo.com/VideoPlayerShare.swf?lang=$2&vidID=$3&vCode=v$4&dura=$5&File=$6',
		'size' => array(425, 343),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="wmode" value="transparent"></param><embed [^<>]*?></embed></object>',
		'lookup-url' => 'http://(?:www\.)?vidivodo\.com/\d{1,12}/(?:[\w-]*)',
		'lookup-pattern' => '<link\srel="video_src"\shref="(http://www\.vidivodo\.com/VideoPlayerShare\.swf\?lang=[0-9a-z]*?&(?:amp;)?vidID=\d*&(?:amp;)?vCode=v\d*&(?:amp;)?dura=\d*&(?:amp;)?File=http://video\d*\.vidivodo\.com/vidservers/server\d*/videos/\d{4}/\d{2}/\d{2}/\d*/v\d*\.flv)"/>',
		'lookup-urldecode' => true,
	),
	array(
		'id' => 'vso',
		'pattern' => 'http://(?:www\.|static\.)?vsocial\.com/(?:video/|flash/ups\.swf)\?d=(\d{1,8})',
		'movie' => 'http://static.vsocial.com/flash/ups.swf?d=$2&a=0',
		'size' => array(410, 400),
	),
	array(
		'id' => 'vsn',
		'pattern' => '(http://(?:www\.)?vsocial\.com/ups/[a-f0-9]{32})',
		'movie' => '$2',
		'size' => array(410, 400),
		'fix-html-pattern' => '<embed src="$1" height="\d*" width="\d*"></embed>',
	),
	array(
		'id' => 'wat',
		'pattern' => 'http://(?:www\.)?wat\.tv/video/.*?\.html#id(\w+)',
		'movie' => 'http://www.wat.tv/swf2/$2',
		'size' => array(430, 358),
		'fix-html-pattern' => '(?:<div><object [^>]*><param name="movie" value="http://www\.wat\.tv/swf2/.*?</object></div><div [^>]*><a [^>]*href="(http://(?:www\.)?wat\.tv/.*?\.html)">.*?</div>|<div><object [^>]*><param name=\'movie\' value=\'http://www\.wat\.tv/swf2/.*?</object><br /><b><a href=\'(http://(?:www\.)?wat\.tv/.*?\.html)\'>.*?</div>)',
		'fix-html-url' => '$1$2',
		'lookup-url' => 'http://(?:www\.)?wat\.tv/video/.*?\.html',
		'lookup-pattern' => array('id' => '<link rel="video_src" href="http://www\.wat\.tv/swf2/([^"]+)"/>'),
	),
	array(
		'id' => 'weg',
		'pattern' => 'http://(?:www\.)?wegame\.com/watch/([\w-]*?)/',
		'movie' => 'http://wegame.com/static/flash/player.swf?xmlrequest=http://www.wegame.com/player/video/$2&embedPlayer=true',
		'size' => array(480, 387),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.wegame\.com/static/flash/player\.swf\?xmlrequest=http://www\.wegame\.com/player/video/([\w-]*?)">.*?</object>(?:<div style="display: block; font-size: 11px".*?</div>)?',
		'fix-html-url' => 'http://www.wegame.com/watch/$1/',
	),
	array(
		'id' => 'wip',
		'pattern' => 'http://(?:www\.)?wipido\.com/(?:profile/)?video/(?:embedconfig/)?(\d{1,10})(?:%3Ftemplate%3Dgamersydevideo/)?',
		'movie' => 'http://www.wipido.com/static/wipidotv/mediaplayer.swf?id=$2&file=http://www.wipido.com/uploads/videos/$2_mq.mp4&image=http://www.wipido.com/uploads/videos/$2_screenie.jpg&logo=http://www.wipido.com/images/web/overlay.png&link=http://www.wipido.com/video/$2&linktarget=_blank&backcolor=0x2a2f35&frontcolor=0xffffff&lightcolor=0xff0000&screencolor=0x000000&height=320&width=480',
		'size' => array(480, 320),
		'fix-html-pattern' => '<iframe src="http://www\.wipido\.com/main/video/external/(\d{1,10})[^<>]*?></iframe>',
		'fix-html-url' => 'http://www.wipido.com/video/$1',
		'lookup-url' => 'http://(?:www\.)?gamersyde\.com/stream_\d{1,12}_en\.html',
		'lookup-pattern' => 'o\.addVariable\(\'config\',\s\'(http://www\.wipido\.com/profile/video/embedconfig/\d{1,12}%3Ftemplate%3Dgamersyde)\'\);',
	),
	array(
		'id' => 'yah',
		'pattern' => 'http://(?:w\.video\.)?hk\.video\.yahoo\.(?:com|net)/video/(?:dplayer\.html\?vid=|video\.html\?id=)(\d+)',
		'movie' => 'http://w.video.hk.yahoo.net/video/dplayer.html?vid=$2',
		'size' => array(420, 370),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://w\.video.hk\.yahoo\.net/video/dplayer\.html\?vid=(\d+)">.*?</object>',
		'fix-html-url' => 'http://hk.video.yahoo.com/video/video.html?id=$1',
	),
	array(
		'id' => 'yam',
		'pattern' => 'http://(?:new\.)?(?:[a-z]{2}\.)?music\.yahoo\.com/[^"]*?--(\d+)',
		'movie' => 'http://d.yimg.com/cosmos.bcst.yahoo.com/up/fop/embedflv/swf/fop.swf?id=v$2&eID=0000000&lang=us&enableFullScreen=0&shareEnable=1',
		'size' => array(400, 255),
		'show-link' => true,
		'fix-html-pattern' => '<object [^>]*id="uvp_fop"[^>]*><param name="movie" value="http://d\.yimg\.com/cosmos\.bcst\.yahoo\.com/up/fop/embedflv/swf/fop\.swf"/><param name="flashVars" value="id=v(\d+)[^<>]*?>.*?</object>',
		'fix-html-url' => 'http://new.music.yahoo.com/videos/--$1',
		'lookup-title' => true,
	),
	array(
		'id' => 'yax',
		'pattern' => '(?:http://flv\.video\.yandex\.ru/lite/([\w-]+)/(\w+\.\d+)|http://video\.yandex\.ru/users/([\w-]+)/view/\d+/?#id(\w+\.\d+))',
		'movie' => 'http://flv.video.yandex.ru/lite/$2$4/$3$5',
		'size' => array(450, 338),
		'fix-html-pattern' => '(?:<object width="(\d+)" height="(\d+)"><param name="video" value="http://flv\.video\.yandex\.ru/lite/([\w-]+)/(\w+\.\d+)/">.*?</object>)',
		'fix-html-url' => 'http://flv.video.yandex.ru/lite/$3/$4#w$1-h$2',
		'lookup-url' => 'http://video\.yandex\.ru/users/[\w-]+/view/\d+/?',
		'lookup-title' => true,
		'lookup-pattern' => array('id' => '\[flash=\d+,\d+,http://flv\.video\.yandex\.ru/lite/[\w-]+/(\w+\.\d+)/]', 'w' => '\[flash=(d+),d+,', 'h' => '\[flash=d+,(d+),'),
	),
	array(
		'id' => 'yku',
		'pattern' => 'http://(?:v\.youku\.com/v_show/id_|player\.youku\.com/player\.php/sid/)([0-9a-z]{6,14})',
		'movie' => 'http://player.youku.com/player.php/sid/$2=/v.swf',
		'size' => array(450, 372),
		'fix-html-pattern' => '<embed src="$1[^<>]*?></embed>',
		'fix-html-url' => 'http://v.youku.com/v_show/id_$2=.html',
		'lookup-title' => true,
	),
	array(
		'id' => 'boo',
		'pattern' => 'http://(?:www\.|static\.)?boomp3\.com/(?:listen/|player\.swf\?song=)([\w-]{1,11})',
		'movie' => 'http://static.boomp3.com/player.swf?song=$2&noinfo=1',
		'size' => array(200, 20),
	),
	array(
		'id' => 'dee',
		'pattern' => 'http://(?:www\.)?deezer\.com/track/(?:[\w-]+\-T)?(\d{1,12})',
		'movie' => 'http://www.deezer.com/embedded/small-widget-v2.swf?idSong=$2&colorBackground=0x525252&textColor1=0xFFFFFF&colorVolume=0x39D1FD&autoplay=0',
		'size' => array(220, 55),
		'fix-html-pattern' => '(?:<div style="[^>]*">)?<object [^>]*><param name="movie" value="http://www\.deezer\.com/embedded/small-widget-v2\.swf\?idSong=(\d+).*?</object>(?:<br><font size=\'1\' .*?!</font></div>)?',
		'fix-html-url' => 'http://www.deezer.com/track/$1',
		'lookup-title' => '<title>(.*?)(?:\| Deezer)?</title>',
	),
	array(
		'id' => 'deep',
		'pattern' => 'http://(?:www\.)?deezer\.com/[^/]*#music/playlist/(\d+)/(\d+)',
		'movie' => 'http://www.deezer.com/embedded/widget_450x345.swf?path=$2&id=$3&colorBack=0x525252&colorVolume=0x00CCFF&colorScrollbar=0x666666&colorText=0xFFFFFF&autoplay=0&autoShuffle=0',
		'size' => array(450, 345),
		'fix-html-pattern' => '<div [^>]+><object [^>]+><param name="movie" value="http://www\.deezer\.com/embedded/widget[^\.]*\.swf\?path=(\d+)[^"]*&id=(\d+)"></param>.*?</object>.*?</div>',
		'fix-html-url' => 'http://www.deezer.com/#music/playlist/$1/$2',
		'lookup-title' => false,
	),
	array(
		'id' => 'deer',
		'pattern' => 'http://(?:www\.)?deezer\.com/[^/]*#music/radio/(\d+)',
		'movie' => 'http://www.deezer.com/embedded/widgetRadio.swf?rid=$2&colorBackground=0x525252&colorButtons=0xDDDDDD&textColor1=0xFFFFFF&textColor2=0xCCCCCC',
		'size' => array(180, 220),
		'fix-html-pattern' => '<div [^>]+><object [^>]+><param name="movie" value="http://www\.deezer\.com/embedded/widgetRadio\.swf\?rid=(\d+)[^"]*"></param>.*?</object>.*?</div>',
		'fix-html-url' => 'http://www.deezer.com/#music/radio/$1',
		'lookup-title' => false,
	),
	array(
		'id' => 'dvs',
		'pattern' => 'http://www\.divshare\.com/download/([^"]*)',
		'movie' => 'http://www.divshare.com/flash/playlist?myId=$2',
		'size' => array(335, 28),
	),
	array(
		'id' => 'eba',
		'pattern' => '(?:http://www\.ebaumsworld\.com/mediaplayer\.swf\?file=)?(http://media\.ebaumsworld\.com/(?:mediaFiles/)?(?:audio/(?!play/)|[0-9/]{8})[\w-]*?/[\w-]*?\.mp3)',
		'movie' => 'http://www.ebaumsworld.com/mediaplayer.swf?file=$2&showeq=true&displayheight=50',
		'size' => array(440, 70),
		'show-link' => true,
		'fix-html-pattern' => '<embed src="http://www\.ebaumsworld\.com/mediaplayer\.swf" flashvars="pageurl=http://www\.ebaumsworld\.com/audio/play/\d{1,12}&(?:amp;)?file=$1[^<>]*?>',
		'lookup-url' => 'http://(?:www\.)?ebaumsworld\.com/audio/play/\d{1,12}/?',
		'lookup-pattern' => '<link rel="video_src" href="http://www\.ebaumsworld\.com/mediaplayer\.swf\?[^"\>]*?file=(http://media\.ebaumsworld\.com/(?:mediaFiles/)?(?:audio/|[0-9/]{8})[\w-]*?/[\w-]*?\.mp3)',
	),
	array(
		'id' => 'goe',
		'pattern' => 'http://(?:www\.)?goear\.com/listen(?:\.php\?v=|/)([a-z0-9]{7})',
		'movie' => 'http://www.goear.com/files/external.swf?file=$2',
		'size' => array(353, 132),
		'fix-html-pattern' => '<object [^>]*><embed src="http://www\.goear\.com/files/external\.swf\?file=([a-z0-9]{7})"[^>]*></embed></object>',
		'fix-html-url' => 'http://www.goear.com/listen.php?v=$1',
		'lookup-title' => false,
	),
	array(
		'id' => 'iji',
		'pattern' => 'http://(?:www\.)?ijigg\.com/(?:jiggPlayer\.swf\?songID=|songs/|trackback/)([0-9A-Z]{9,12})',
		'movie' => 'http://www.ijigg.com/jiggPlayer.swf?songID=$2&Autoplay=0',
		'size' => array(315, 80),
		'fix-html-pattern' => '(?:<object [^>]*><param name="movie" value="$1">.*?</object>|<object width=\'315\' height=\'80\'><param name=\'movie\' value=\'$1\'>.*?</object>(?:<div[^<>]*?><font size=\'3\'>.*?</div>)?)',
		'fix-html-url' => 'http://www.ijigg.com/songs/$2',
	),
	array(
		'id' => 'jam',
		'pattern' => 'http://(?:www\.|widgets\.)?jamendo\.com/[a-z0-9]*?/album/(?:\?album_id=)?(\d{1,10})',
		'movie' => 'http://widgets.jamendo.com/en/album/?album_id=$2&playertype=2008',
		'size' => array(200, 300),
		'fix-html-pattern' => '(?:<div align="center">)?<object width[^<>]*?> <param name="allowScriptAccess" value="always" /><param name="wmode" value="transparent" /> <param name="movie" value="$1" />.*?</object>(?:</div>)?',
		'fix-html-url' => 'http://www.jamendo.com/en/album/$2',
	),
	array(
		'id' => 'jua',
		'pattern' => 'http://(?:www\.)?jujunation.com/music\.php\?music_id=(\d{1,10})',
		'movie' => 'http://www.jujunation.com/player.swf?configXmlPath=http://www.jujunation.com/musicConfigXmlCode.php?pg=music_$2&playListXmlPath=http://www.jujunation.com/musicPlaylistXmlCode.php?pg=music_$2',
		'size' => array(220, 66),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="http://www\.jujunation\.com/player\.swf\?configXmlPath=http://www\.jujunation\.com/musicConfigXmlCode\.php\?pg=music_(\d{1,10})[^<>]*?>.*?</object>',
		'fix-html-url' => 'http://www.jujunation.com/music.php?music_id=$1',
	),
	array(
		'id' => 'lafm',
		'pattern' => 'http://(?:www\.)?(?:last\.fm|lastfm\.[a-z]{2})/music/([^/"\?]+)/?',
		'movie' => 'http://cdn.last.fm/webclient/s12n/s/5/lfmPlayer.swf?lang=en&lfmMode=playlist&FOD=true&restype=artist&resname=$2',
		'size' => array(300, 221),
		'show-link' => true,
		'lookup-title' => '<div id="content">.*?<h1[^>]*>(.*?)</h1>',
	),
	array(
		'id' => 'mpt',
		'pattern' => '(http://(?:www\.)?mp3tube\.net\/play\.swf\?id=[0-9a-f]{32})',
		'movie' => '$2',
		'size' => array(260, 60),
		'show-link' => true,
		'fix-html-pattern' => '(?:<font face="Arial" size="2">&nbsp;<a target="_blank" href="http://www\.mp3tube\.net/[^<>"]*?">[^<>]*?</a></font><br>)?<object classid[^<>]*?><param name="movie" value="$1" />.*?</object>',
		'lookup-url' => 'http://(?:www\.)?mp3tube\.net/(?:[^/]*/)?musics/[\w-]*?/\d{1,6}/',
		'lookup-pattern' => '(http://www\.mp3tube\.net\/play\.swf\?id=[0-9a-f]{32})',
	),
	array(
		'id' => 'mus',
		'pattern' => 'http://(?:www\.)?musopensource\.com/files/([^"\'\`\<\>\@\*\$]*?)\.mp3',
		'movie' => 'http://www.musopen.com/wimpy_button.swf?theFile=http://www.musopensource.com/files/$2.mp3',
		'size' => array(35, 35),
		'html-before' => '<div style="border: 1px solid #808080; background: white; width: 350px; text-align: center"><a href="http://www.musopen.com"><img width="89px" height="25px" src="http://www.musopen.com/images/musopen_v.png" alt="" /></a> ',
		'html-after' => '<br />$2</div>',
		'fix-html-pattern' => '<object type=\'text/html\' width=\'\d*\' height= \'\d*\' data=\'http://www\.musopen\.com/membed\.php\?id=(\d{1,10})[^<>]*?></object>',
		'fix-html-url' => 'http://www.musopen.com/membed.php?id=$1',
		'lookup-url' => 'http://(?:www\.)?musopen\.com/(?:mpopup\.htm(?:l)?\?|membed\.php\?id=)(\d{1,10})',
		'lookup-actual-url' => 'http://www.musopen.com/membed.php?id=$1',
		'lookup-pattern' => '<embed src="wimpy_button\.swf\?theFile=(http://www\.musopensource\.com/files/[^"\'\`<>\@\*\$]*?\.mp3)" ',
		'lookup-unencode' => true,
	),
	array(
		'id' => 'passin',
		'pattern' => 'http://(?:www\.)passionato\.com/play/track/(\d{1,12})',
		'movie' => 'http://www.passionato.com/swf/media.swf?file=http://www.passionato.com%2Fxspf%2Fplay.php%3FTRACK_ID%3D$2&autostart=false&searchbar=false&showeq=false&displayheight=200&height=200&width=420&backcolor=0x000000&frontcolor=0xCC0000&screencolor=0x000000&lightcolor=0xFFD5D5&overstretch=none&thumbsinplaylist=false&autoscroll=false',
		'size' => array(420, 200),
	),
	array(
		'id' => 'pasplay',
		'pattern' => 'http://(?:www\.)passionato\.com/(?:play/)?release/(\d{1,12})',
		'movie' => 'http://www.passionato.com/swf/media.swf?file=http://www.passionato.com%2Fxspf%2Fplay.php%3FALBUM_ID%3D$2&autostart=false&searchbar=false&showeq=false&displayheight=200&height=400&width=420&backcolor=0x000000&frontcolor=0xCC0000&screencolor=0x000000&lightcolor=0xFFD5D5&overstretch=none&thumbsinplaylist=false&autoscroll=false',
		'size' => array(420, 400),
	),
	array(
		'id' => 'pro',
		'pattern' => 'http://(?:www\.)?playlist\.com/(?:playlist|standalone|node)/(\d{1,10})',
		'movie' => 'http://www.profileplaylist.net/mc/mp3player_new.swf?tomy=http%3A%2F%2Fwww.profileplaylist.net%2Fext%2Fpc%2Fconfig_black_noautostart.xml&mywidth=435&myheight=270&file=http%3A%2F%2Fwww.profileplaylist.net%2Floadplaylist.php%3Fplaylist%3D$2',
		'size' => array(435, 270),
		'link' => true,
	),
	array(
		'id' => 'see',
		'pattern' => 'http://(?:www\.)?seeqpod\.(?:com|net)/search/\?plid=([0-9a-f]{10})',
		'movie' => 'http://www.seeqpod.net/cache/seeqpodSlimlineEmbed.swf?domain=http://www.seeqpod.com&playlistXMLPath=http://www.seeqpod.com/api/music/getPlaylist?playlist_id=$2',
		'size' => array(300, 80),
		'fix-html-pattern' => '<embed [^>]*flashvars="domain=http://www\.seeqpod\.com&(?:amp;)?playlist=([0-9a-f]{10})"></embed>(?:<br/><a href="http://www\.seeqpod\.com/[^<>]*?">[^<>]*?</a>)?',
		'fix-html-url' => 'http://www.seeqpod.net/search/?plid=$1',
	),
	array(
		'id' => 'new',
		'pattern' => '(http://uploads\.ungrounded\.net/\d{1,12}/\d{1,12}_[\w-]*?\.swf)',
		'movie' => '$2?autostart=false&autoplay=false',
		'size' => array(480, 400),
		'lookup-url' => 'http://(?:www\.)?newgrounds\.com/portal/view/\d{1,10}',
		'lookup-pattern' => '\'(http://uploads\.ungrounded\.net/\d{1,12}/\d{1,12}_[\w-]*?\.swf)\'',
	),
	array(
		'id' => 'orb',
		'pattern' => 'http://mycast\.orb\.com/orb/html/qs\?mediumId=([0-9a-z]{8})&(?:amp;)?l=([\w-]{1,20})',
		'movie' => 'http://mycast.orb.com/orb/resources/common/videoplayer.swf?file=http%3A%2F%2Fmycast.orb.com%2Forb%2Fxml%2Fstream%3FstreamFormat%3Dswf%26mediumId%3D$2%26l%3D$3&showdigits=true&autostart=false&shuffle=false&showeq=true&showfsbutton=true',
		'size' => array(439, 350),
		'show-link' => true,
	),
	array(
		'id' => 'screen',
		'pattern' => 'http://(?:www\.)?screentoaster\.com/watch/(\w+)',
		'movie' => 'http://www.screentoaster.com/swf/STPlayer.swf?video=$2',
		'size' => array(425, 344),
		'fix-html-pattern' => '<object [^>]*><param name=\'movie\' value=\'http://www\.screentoaster\.com/swf/STPlayer\.swf\'></param><param name=\'allowFullScreen\' value=\'true\'></param><param name=\'flashvars\' value=\'video=([^\']+)\'>.*?</div>',
		'fix-html-url' => 'http://www.screentoaster.com/watch/$1',
	),
	array(
		'id' => 'scri',
		'pattern' => 'http://www\.scribd\.com/doc/(\d+)/?[\w-]*/?#key(\w+)',
		'movie' => 'http://d.scribd.com/ScribdViewer.swf?document_id=$2&access_key=key-$3&page=1&version=1&viewMode=&play=true&loop=true&scale=showall&devicefont=false&bgcolor=#ffffff&menu=true&salign=',
		'size' => array(0, 500),
		'fix-html-pattern' => '(?:<a title="[^>]*>[^<]*</a>)?\s*<object [^>]*>\s*<param name="movie"\svalue="http://d\.scribd\.com/[^>]*>.*?ScribdViewer\.swf\?document_id=(\d+)&access_key=key-(\w+).*?</object>\s*(?:<div style="margin:.*?</div>\s*)?',
		'fix-html-url' => 'http://www.scribd.com/doc/$1/#key$2',
		'lookup-title' => true,
		'lookup-url' => 'http://www\.scribd\.com/doc/(\d+)/?[\w-]*/?',
		'lookup-pattern' => array('key' => 'access_key=key-(\w+)'),
	),
	array(
		'id' => 'slide',
		'pattern' => 'http://(?:www\.)?slide\.com/r/[\w\?=-]*#id(\d+)-site(\w{2})',
		'movie' => 'http://widget-$3.slide.com/widgets/slideticker.swf?cy=lt&il=1&channel=$2&site=widget-$3.slide.com&scale=noscale',
		'size' => array(400, 300),
		'lookup-url' => 'http://(?:www\.)?slide\.com/r/[\w\?=-]*[^]#[]*',
		'lookup-pattern' => array('id' => '"channel_id"\s*:\s*"(\d+)"', 'site' => '"partition"\s*:\s*"widget-(\w{2})\.slide\.com"', 'w' => '"width":\s(\d+)', 'h' => '"height":\s(\d+)'),
		'fix-html-pattern' => '(?:<div>)?<embed src="http://widget-(\w{2})\.slide\.com/widgets/slideticker\.swf".*?&channel=(\d+)&[^"]*" style="width:(\d+)px;height:(\d+)px"[^>]*></embed>(?:<div style="width:.*?</div></div>)?',
		'fix-html-url' => 'http://www.slide.com/r/slideshow#id$2-site$1-w$3-h$4',
	),
	array(
		'id' => 'voi',
		'pattern' => 'http://(?:www\.)?voicethread\.com/(?:share/|book\.swf\?b=)(\d{1,10})',
		'movie' => 'http://www.voicethread.com/book.swf?b=$2',
		'size' => array(480, 360),
		'fix-html-pattern' => '<object [^>]*><param name="movie" value="$1"></param><param name="wmode" value="transparent"></param><embed[^<>]*?></embed></object>(?:<img style="visibility:hidden;width:0px;height:0px;" border=0 width=0 height=0 src="http://counters\.gigya\.com/[^<>]*?/>)?',
		'fix-html-url' => 'http://voicethread.com/share/$2/',
	),
);
?>